<?php

namespace App\Console\Commands;

use App\Jobs\SyncCalendarDayEntities;
use App\Models\CalendarDayEntity;
use Carbon\Carbon;
use Illuminate\Console\Command;

class RunSyncCalendarDayEntities extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'command:sync-calendar-day-entity';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $client = new \GuzzleHttp\Client([
            'base_uri' => env('VUE_SYNC_API_URL','https://client.precision.ma'),
            'defaults' => [
                'exceptions' => false
            ],
            'headers' => ['External-Api-Authorization' => env('API_AUTHORIZATION','44DB4B49-60F5-4750-8A5A-A4A2A056509F')]
        ]);

        $isOnline = true;
        $stores = json_decode($client->get(config('urls.stores') .'?isOnline=' . $isOnline)->getBody());
        $selectedStoreId = null;
        foreach ($stores as $store) {
            if($store->is_online) {
                $selectedStoreId = $store->id;
                break;
            }
        }

        $startTimes = json_decode($client->get(config('urls.start-times.subUrl1') . $selectedStoreId . 
            config('urls.start-times.subUrl2'))->getBody());

        $calendarDays = $startTimes->CalendarDay;

        foreach ($calendarDays as $calendarDay) {
            $exist = CalendarDayEntity::find($calendarDay->id);
            if(!$exist)CalendarDayEntity::create([
                'date_year' => Carbon::parse($calendarDay->date_year/1000)->format('Y-m-d'),
                'calendarDayEntityId' => $calendarDay->id,
                'commentaire' => $calendarDay->commentaire
            ]);
        }
    }
}
