<?php

namespace App\Console\Commands;

use App\Jobs\SyncCommandsToPos;
use App\Models\Command as ModelsCommand;
use App\Models\TransportCompany;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Str;

class SyncCommands extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'command:syncCommands';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //return;
        $commands = ModelsCommand::whereNull('pos_command_id')->get();
    
      
        foreach ($commands as $command) {
           
            $local_key = Str::uuid()->toString();

            $commandLines = [];
            $deliveryCompany = null;
            foreach ($command->lines as $line) {
                $transportCompany = TransportCompany::where('price_id', $line->priceId)->first();
                if($transportCompany) $deliveryCompany = $transportCompany;
                array_push($commandLines, [
                    'parent_id' => null,
                    'id' => 0,
                    'created_at' => Carbon::now(),
                    'cmd_remise_id' => null,
                    'cmd_client_id' => $local_key,
                    'local_key' => Str::uuid()->toString(),
                    'updated_at' => Carbon::now(),
                    'quantite' => $line->quantity,
                    'prix_prd_cns_prcpl_id' => $line->priceId,
                    'modified_at' => null
                ]);
            }
            

            
            SyncCommandsToPos::dispatch($command, $commandLines, $local_key, $deliveryCompany)->onQueue('sync-commands');

        }
    }
}
