<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Symfony\Component\Console\Output\BufferedOutput;

class VoyagerMigrateCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'voyager:makeSeed';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Voyager make seed from database';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {

        $tables = [
            "data_rows",
            "data_types",
            "menu_items",
            "menus",
            // "permission_role",
            "permissions",
            "roles",
            // "settings",
            "translations"
        ];

        $output = new BufferedOutput;

        \Artisan::call("iseed",
            [
                "tables" => implode(",", $tables),
                "--classnameprefix" => "Voyager",
                "--force" => true
            ],
            $output
        );

        dd(\Artisan::output());

    }
}
