<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Api\AppBaseController;

use App\Repositories\ProductCategoryRepository;

use Carbon\Carbon;

class AppController extends AppBaseController
{

    protected $productCategoryRepository;

    public function __construct(
        ProductCategoryRepository $productCategoryRepository
    ) {
        $this->productCategoryRepository = $productCategoryRepository;
        // $this->productCategoryRepository->insertTagedCategories();
    }

    public function getFamilies(Request $request) {

        $families = $this->productCategoryRepository->getFamiliesByParentTag(
            $request->tag
        );

        return response()->json([
            "families" => $families
        ]);

    }

    public function getCategories(Request $request) {

        $categories = $this->productCategoryRepository->getCategories(
            $request->tag
        );

        return response()->json([
            "categories" => $categories
        ]);

    }

}
