<?php

namespace App\Http\Controllers\Voyager;

use Illuminate\Http\Request;
use App\Models\ProductCategory;

use Voyager;
use Carbon\Carbon;

class CategoryController extends \TCG\Voyager\Http\Controllers\VoyagerBaseController
{
    
    public function index(Request $request) {

        $categories = ProductCategory::select('id', 'label', 'created_at', 'isHidden')
        ->orderBy('created_at', 'desc')
        ->get();
        
        return Voyager::view("voyager::category.index", compact(
            "categories"
        ));
    }
    
    public function toggleVisibility(Request $request) {
        
        $category_id = $request->category_id;
        
        $categorie = ProductCategory::find($category_id);
        $isHidden = $categorie->isHidden;
        $categorie->isHidden = !$isHidden;
        $categorie->save();
        
        $response = [
            'message'    => 'Le category à été traitée',
            'alert-type' => 'success',
        ];
        
        return redirect()->back()->with($response);
    }


}