<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

class CacheResponse
{
    public function handle(Request $request, Closure $next, $ttl = 30)
    {
        $cacheKey = $request->url() . serialize($request->all());
        
        if(strpos($cacheKey, 'app/sliders') !== false) $cacheKey = 'homeSliders';
        
        if (Cache::has($cacheKey)) {

            return response()->json(json_decode(Cache::get($cacheKey)));
            
        }
        
        $response = $next($request);
        
        if ($response->getStatusCode() == 200) {
            $content = $response->getContent();
            // \Log::info("Cache Key: $cacheKey");
            Cache::put($cacheKey, $content, now()->addMinutes($ttl));
        }
        
        return $response;
    }
}