<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class ForgotPasswordMail extends Mailable
{
    use Queueable, SerializesModels;

    protected $hash;
    
    public $tries = 3;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($hash) {
        $this->hash = $hash;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build() {
        $subject = config('app.name') . " réinitialisation du mot de passe";
        return $this->markdown(
            'mail.forgotPassword', [ "hash" => $this->hash ]
        )->subject($subject);
    }
}
