<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class InviteColleguesMail extends Mailable
{
    use Queueable, SerializesModels;

    protected $inviter;
    protected $email;
    protected $comment;
    protected $hash;
    
    public $tries = 3;


    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($inviter, $email, $comment, $hash) {
        $this->inviter = $inviter;
        $this->comment = $comment;
        $this->email = $email;
        $this->hash = $hash;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build() {
        $subject = config('app.name') . $this->inviter->name . " vous propose de déjeuner";
        return $this->markdown(
            'mail.inviteCollegues', [
                "inviter" => $this->inviter->name,
                "comment" => $this->comment,
                "hash" => $this->hash,
                "email" => $this->email
            ]
        )->subject($subject);
    }
}
