<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class NewCommandMail extends Mailable
{
    use Queueable, SerializesModels;

    protected $command;
    protected $isAdmin;
    
    public $tries = 3;


    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($command, $isAdmin = true)
    {
        $this->command = $command;
        $this->isAdmin = $isAdmin;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown(
            'mail.newCommand',
            [ "command" => $this->command, "isAdmin" => $this->isAdmin ]
        )->subject(config('app.name') . ": Vous avez une nouvelle commande");
    }
}
