<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class ValidatedCommandMail extends Mailable
{
    use Queueable, SerializesModels;

    protected $command;
    
    public $tries = 3;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($command)
    {
        $this->command = $command;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->markdown('mail.validatedCommand', [])
            ->attach(storage_path('app/public/'.$this->command->filePath))
            ->subject(config('app.name') . ": Validation de votre commande");
    }
}
