<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Blog extends Model
{
    protected $table = 'Blog';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('image', 'title', 'description', 'active', 'visitors', 'slug');

    public function comments() {
        return $this->hasMany(
            'App\Models\BlogComment',
            'blogId'
        );
    }

    public function save(array $options = [])
    {
        $this->slug = ( !isset($this->slug) || $this->slug == "" ) ? str_slug($this->title,"_") : $this->slug;
        parent::save();
    }

}
