<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Brand extends Model
{
    protected $table = 'Brand';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('label', 'tag', 'order', 'description');

    public function sync() {
        return $this->morphOne('App\Models\Sync', 'syncable');
    }

    public function description() {
        return $this->hasMany('App\Models\ProductDescription', 'brand_id');
    }

    public function save(array $options = [])
    {
        $this->tag = ( !isset($this->tag) || $this->tag == "" ) ? \Str::slug($this->label,"_") : $this->tag;
        $result = parent::save();
        $this->sync()->save(New Sync);
        return $result;
    }

}
