<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model
{

    protected $table = 'Category';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('label' , 'parentId', 'tag');

    public function  parent() {
        $this->belongsTo("Category", "parentId");
    }

    public function  children() {
        $this->hasMany(Category::class, "parentId");
    }

    public function save(array $options = [])
    {
        $this->tag = ( !isset($this->tag) || $this->tag == "" ) ? str_slug($this->label,"_") : $this->tag;
        parent::save();
    }

}