<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Client extends Model
{

    protected $table = 'Client';
    public $timestamps = true;

    use SoftDeletes;

    protected static function boot() {
        parent::boot();

        //Delete prices, delete client
        static::deleting(function($client) {
            if($client->user()->count() == 1) $client->user()->first()->delete();
        });
    }

    protected $dates = ['deleted_at'];
    protected $fillable = array('userId', 'phone', 'age');

    public function user() {
        return $this->belongsTo('App\User', 'userId');
    }

    public function likedPrices() {
        return $this->belongsToMany('App\Models\Price', 'App\Models\ClientPrice', 'clientId', 'priceId')
            ->whereNull('ClientPrice.deleted_at');
    }

}