<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CombinedProduct extends Model
{

    protected $table = 'CombinedProduct';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('product_id', 'price_id', 'quantity');

    public function sync() {
        return $this->morphOne('App\Models\Sync', 'syncable');
    }

    public function save(array $options = [])
    {
        $result = parent::save();
        $this->sync()->save(New Sync);
        return $result;
    }

}