<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Relations\Pivot;

class CommandPrice extends Pivot
{

    protected $table = 'CommandPrice';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('commandId' , 'clientId', 'priceId', 'quantity');

    public function client() {
        return $this->belongsTo('App\Models\Client', 'clientId');
    }

    public function price()
    {
        return $this->belongsTo('App\Models\Price', 'priceId');
    }

}