<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DetailKey extends Model
{

    protected $table = 'DetailKey';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('label', 'tag');

    public function sync() {
        return $this->morphOne('App\Models\Sync', 'syncable');
    }

    function values() {
        return $this->hasMany('App\Models\ProductDetailKey', 'detail_key_id')->select("value")->groupBy("value");
    }

    public function save(array $options = [])
    {
        $result = parent::save();
        $this->sync()->save(New Sync);
        return $result;
    }

}