<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProductDetailKey extends Model
{

    protected $table = 'ProductDetailkey';
    public $timestamps = true;

    protected $fillable = array('product_id', 'detail_key_id', 'value', 'fr_value', 'ar_value');

    public function sync() {
        return $this->morphOne('App\Models\Sync', 'syncable');
    }

    public function detailKey() {
        return $this->belongsTo('App\Models\DetailKey', 'detail_key_id');
    }

    public function product() {
        return $this->belongsTo('App\Models\Product', 'product_id');
    }

    public function save(array $options = [])
    {
        $result = parent::save();
        $this->sync()->save(New Sync);
        return $result;
    }
}