<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProductElement extends Model
{

    protected $table = 'ProductElement';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('product_id', 'element_id', 'quantity');

    public function sync() {
        return $this->morphOne('App\Models\Sync', 'syncable');
    }

    public function price() {
        return $this->belongsTo('App\Models\Price', "product_id");
    }

    public function product() {
        return $this->belongsTo('App\Models\Product', "element_id");
    }

    public function save(array $options = [])
    {
        $result = parent::save();
        $this->sync()->save(New Sync);
        return $result;
    }

}
