<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use ReductionCodeClient;

class ReductionCode extends Model
{

    protected $table = 'ReductionCode';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('tag', 'used', 'maxUsed', 'value');

    public function clients() {
        return $this->belongsToMany(
            'App\Models\Client',
            'App\Models\ReductionCodeClient',
            'reductionCodeId',
            'clientId'
        )->whereNull("ReductionCodeClient.deleted_at");
    }

    public function entreprises() {

        $valid = true;

        $clients = $this->clients;
        $entreprises = $clients->filter(function($client){
            return $client->user->entreprise != null ? true : false;
        })->map(function($client) {
            return $client->user->entreprise;
        })->unique();

        $entreprises->map(function($entreprise) use ($clients) {
            $totalEntrepriseClients = $clients->filter(function($client) use ($entreprise) {
                return $client->entrepriseId == $entreprise->id;
            })->count();
            if ($entreprise->clientsTotal() != $totalEntrepriseClients) $valid = false;
        });

        if ($valid == true) return $entreprises;
        else return [];

    }

}