<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Slider extends Model
{
    protected $table = 'Slider';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('fileId', 'link', 'content', 'tag');

    public function sync() {
        return $this->morphOne('App\Models\Sync', 'syncable');
    }

    public function save(array $options = [])
    {
        $this->tag = \Str::slug($this->tag,"_");
        $result = parent::save();
        $this->sync()->save(New Sync);
        return $result;
    }
}
