<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StockOperationType extends Model
{

    protected $table = 'StockOperationType';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('tag', 'label', 'multiplier');

    public function save(array $options = [])
    {
        $this->tag = ( !isset($this->tag) || $this->tag == "" ) ? str_slug($this->label,"_") : $this->tag;
        parent::save();
    }

}