<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Supplier extends Model
{

    protected $table = 'Supplier';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = array('tag', 'label', 'address', 'image', 'turnover', 'postalCode', 'email', 'reference', 'phone', 'city_id', 'webSite');

    public function sync() {
        return $this->morphOne('App\Models\Sync', 'syncable');
    }

    public function save(array $options = [])
    {
        $this->tag = ( !isset($this->tag) || $this->tag == "" ) ? \Str::slug($this->label,"_") : $this->tag;
        $result = parent::save();
        $this->sync()->save(New Sync);
        return $result;
    }

}