<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Sync extends Model
{

    protected $table = 'Sync';
    public $timestamps = true;
    protected $appends = ['type'];
    protected $fillable = array('isSynced', 'syncable_id', 'syncable_type');

    /**
     * Get the owning syncable model.
     */
    public function syncable()
    {
        return $this->morphTo();
    }

    public function getTypeAttribute()
    {
        $partedNames = explode("\\", $this->syncable_type);
        return $partedNames[sizeOf($partedNames) - 1];
    }

    public function save(array $options = []) {
        $model = Sync::where("syncable_id", $this->syncable_id)
            ->where("syncable_type", $this->syncable_type)
            ->first();
        if($model != null && $this->id == null) return $model->update(["isSynced" => false ]);
        else return parent::save();
    }

}