<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind(
            \App\Services\Interfaces\CommandService::class,
            \App\Services\CommandServiceImpl::class
        );
        $this->app->bind(
            \App\Services\Interfaces\ApiCallService::class,
            \App\Services\ApiCallServiceImpl::class
        );
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
