<?php

namespace App\Repositories;

use App\Models\Adresse;
use App\Repositories\BaseRepository;

/**
 * Class AdresseRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:16 pm UTC
*/

class AdresseRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return Adresse::class;
    }

    public function create($input) {
        return $this->model->firstOrCreate([
            "geographicPointId" => $input["geographicPointId"],
            "description" => $input["description"]
        ]);
    }

    public function inFilter($search = [])
    {
        $query = $this->model->newQuery()->with("geographicPoint");

        if (count($search)) {
            foreach($search as $key => $value) {
                // if (in_array($key, $this->getFieldsSearchable())) {
                    $query->whereIn($key, $value);
                // }
            }
        }

        return $query->get();
    }
}
