<?php

namespace App\Repositories;

use App\Models\Blog;
use App\Models\BlogComment;
use App\Repositories\BaseRepository;

/**
 * Class BlogRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class BlogRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function addComment($id, $inputs) {
        $inputs["blogId"] = $id;
        return BlogComment::create($inputs);
    }

    public function advancedFind($slug) {

        $query = $this->model->newQuery();

        $query = $query->where("slug", $slug);

        $query = $query->with("comments")->withCount("comments");

        return $query->first();
    }

    public function getPaginatedBlogs($paginate = 10) {
        return $this->allQuery()
            ->withCount("comments")
            ->paginate($paginate);
    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return Blog::class;
    }
}
