<?php

namespace App\Repositories;

use App\Models\ClientPrice;
use App\Repositories\BaseRepository;

/**
 * Class ClientPriceRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class ClientPriceRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ClientPrice::class;
    }

    public function create($input)
    {
        $clientPrice = $this->model->where("clientId", $input["clientId"])
            ->where("priceId", $input["priceId"])
            ->first();

        if($clientPrice == null) {
            $model = $this->model->newInstance($input);
            $model->save();
            return $model;
        } else {
            $clientPrice->delete();
            return null;
        }

    }
}
