<?php

namespace App\Repositories;

use App\Models\CombinedProduct;
use App\Repositories\BaseRepository;

/**
 * Class CombinedProductRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class CombinedProductRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    public function create($input)
    {
        return $this->model->updateOrCreate([
            "product_id" => $input["productId"],
            "price_id" => $input["priceId"]
        ],[
            "quantity" => $input["quantity"]
        ]);
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return CombinedProduct::class;
    }
}
