<?php

namespace App\Repositories;

use App\Models\CommandPrice;
use App\Repositories\BaseRepository;

/**
 * Class CommandPriceRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class CommandPriceRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function create($input) {
        return $this->model->updateOrCreate([
            "clientId" => $input["clientId"],
            "commandId" => $input["commandId"],
            "priceId" => $input["priceId"],
        ],[
            "quantity" => $input["quantity"]
        ]);
    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    public function getCommandPrice($commandId, $priceId)
    {
        return $this->model->where(['commandId' => $commandId, 'priceId' => $priceId])->first();
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return CommandPrice::class;
    }
}
