<?php

namespace App\Repositories;

use App\Models\CommandState;
use App\Repositories\BaseRepository;

/**
 * Class CommandStateRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class CommandStateRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function getDefault(){

        return $this->model->firstOrCreate([
            "tag" => config('constants.DEFAULT_COMMAND_STATE')
        ], [
            "label" => config('constants.DEFAULT_COMMAND_STATE')
        ]);

    }

    public function getWiatingInvitationState(){

        return $this->model->firstOrCreate([
            "tag" => config("constants.DEFAULT_WAITING_INVITATION_COMMAND_STATE")["tag"]
        ], [
            "label" => config("constants.DEFAULT_WAITING_INVITATION_COMMAND_STATE")["label"]
        ]);

    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    public function getNextState($stateTag) {

        if($stateTag == "pending"){
            $label = "validated";
            $tag = "validated";
        } else if($stateTag == "validated"){
            $label = "ready";
            $tag = "ready";
        } else if($stateTag == "ready"){
            $label = "delivering";
            $tag = "delivering";
        } else if($stateTag == "delivering"){
            $label = "delivered";
            $tag = "delivered";
        }

        return $this->model->firstOrCreate([
            "tag" => $tag
        ], [
            "label" => $label
        ]);

    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return CommandState::class;
    }
}
