<?php

namespace App\Repositories;

use App\Models\DeliveryCommand;
use App\Repositories\BaseRepository;

/**
 * Class DeliveryCommandRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class DeliveryCommandRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    public function create($input) {
        return $this->model->updateOrCreate([
            "userId" => $input["userId"],
            "commandId" => $input["commandId"],
            "geographicPointId" => array_key_exists("geographicPointId", $input) ? $input["geographicPointId"] : null
        ],[]);
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return DeliveryCommand::class;
    }
}
