<?php

namespace App\Repositories;

use App\Models\GeographicPoint;
use App\Repositories\BaseRepository;

/**
 * Class GeographicPointRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class GeographicPointRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function create($input) {
        return $this->model->firstOrCreate([
            "latitude" => $input["latitude"],
            "longitude" => $input["longitude"]
        ],[ ]);
    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return GeographicPoint::class;
    }
}
