<?php

namespace App\Repositories;

use App\Models\PayementMode;
use App\Repositories\BaseRepository;

/**
 * Class PayementModeRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class PayementModeRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function getDefault(){

        return $this->model->firstOrCreate([
            "tag" => config('constants.DEFAULT_PAYMENT_MODE')
        ],[
            "label" => config('constants.DEFAULT_PAYMENT_MODE')
        ]);

    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return PayementMode::class;
    }
}
