<?php

namespace App\Repositories;

use App\Models\DetailKey;
use App\Models\ProductDetailKey;
use App\Repositories\BaseRepository;

/**
 * Class ProductDetailKeyRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class ProductDetailKeyRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function getFilledDetail() {
        return $this->model->select("detail_key_id", "value", 'fr_value', 'ar_value')
            ->with("detailKey")
            ->whereHas('product', function ($query) {
                $query->whereHas('prices', function ($subQuery) {
                    $subQuery->whereHas('tags', function ($tagQuery) {
                        $tagQuery->where('tag', '!=', 'delivery_fees');
                    })
                    ->orWhereDoesntHave('tags');
                });
            })
            ->groupBy('detail_key_id')
            ->groupBy('value')
            ->get();
    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ProductDetailKey::class;
    }
}
