<?php

namespace App\Repositories;

use App\Models\ReductionCode;
use App\Repositories\BaseRepository;

/**
 * Class ReductionCodeRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class ReductionCodeRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }


    public function getFirstAvailable($search = [])
    {
        $query = $this->model->newQuery();

        $query->whereColumn("used", "<", "maxUsed");

        if (count($search)) {
            foreach($search as $key => $value) {
                // if (in_array($key, $this->getFieldsSearchable())) {
                    $query->where($key, $value);
                // }
            }
        }

        return $query;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ReductionCode::class;
    }
}
