<?php

namespace App\Repositories;

use App\Models\ReductionInterval;
use App\Repositories\BaseRepository;

use Carbon\Carbon;

/**
 * Class ReductionIntervalRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class ReductionIntervalRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    public function reductionByHour($date) {

        $dayDate = Carbon::now();
        if(is_string($date)) $date = Carbon::parse($date);

        $hours = $dayDate->diffInHours($date, false);

        if($hours > 0 && $dayDate->day != $date->day) {
            return $this->model->first();
        } else if ($hours >= 0) {
            return $this->model->where("to", ">=", $date->toTimeString())
                ->where("from", "<=", $date->toTimeString())
                ->first();
        } else {
            return null;
        }

    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ReductionInterval::class;
    }
}
