<?php

namespace App\Repositories;
use TCG\Voyager\Models\Role;
use App\Repositories\BaseRepository;

/**
 * Class RoleRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class RoleRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function getDefault(){

        $roleInstance = [
            "name" => config('constants.DEFAULT_ROLE'),
            "display_name" => config('constants.DEFAULT_ROLE')
        ];

        return $this->model->firstOrCreate(
            $roleInstance,
            []
        );

    }

    public function firstOrCreate($name){

        return $this->model->firstOrCreate(
            ["name" => $name],
            ["display_name" => $name]
        );

    }

    public function getByTag($tag) {
        return $this->model->firstOrCreate([ "name" => $tag ], [ "display_name" => $tag ]);
    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return Role::class;
    }
}
