<?php

namespace App\Repositories;

use App\Models\StockOperationProduct;
use App\Repositories\BaseRepository;

/**
 * Class StockOperationProductRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class StockOperationProductRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    public function create($input)
    {
        return $this->model->updateOrCreate([
            "productId" => $input["productId"],
            "operationId" => $input["operationId"]
        ],[
            "quantity" => $input["quantity"]
        ]);
    }

    public function getProducts($productId)
    {
        return $this->model->where('productId', $productId)->first();
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return StockOperationProduct::class;
    }
}
