<?php

namespace App\Repositories;

use App\Models\StockOperationType;
use App\Repositories\BaseRepository;

/**
 * Class StockOperationTypeRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class StockOperationTypeRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function getDefault(){

        return $this->model->firstOrCreate([
            "tag" => config('constants.DEFAULT_OPERATION_TYPE')
        ], [
            "label" => config('constants.DEFAULT_OPERATION_TYPE')
        ]);

    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return StockOperationType::class;
    }
}
