<?php

namespace App\Repositories;

use App\User;
use App\Repositories\BaseRepository;
use Tymon\JWTAuth\Exceptions\JWTException;

/**
 * Class UserRepository
 * @package App\Repositories
 * @version August 26, 2019, 2:18 pm UTC
*/

class UserRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [

    ];

    public function update($input, $id)
    {
        $query = $this->model->newQuery();

        $model = $query->findOrFail($id);

        if($input["password"]) $input["password"] = \Hash::make($input["password"]);
        else unset($input["password"]);

        $model->fill($input);

        $model->save();

        return $model;
    }

    public function getTokenFromUser($user) {
        $token = \JWTAuth::fromUser($user,['exp' => false]);
        return [
            'token' => "Bearer $token"
        ];
    }

    public function getToken($email, $phone, $password, $remember_me = 0) {

        if($email)
            $credentials = [
                "email" => $email,
                "password" => $password
            ];
        else
            $credentials = [
                "phone" => $phone,
                "password" => $password
            ];

        //if($remember_me == 1){
         //   $customClaims = ['exp' => date('Y-m-d', strtotime('+1 day'))];
        //} else {
            $customClaims = null;
        //}

        try {
            if (!$token = \JWTAuth::attempt($credentials, $customClaims)) {
                throw new \Exception('l\'email ou mot de passe est incorrect');
            }
        } catch (JWTException $e) {
            throw $e;
        }

        return [
            'token' => "Bearer $token"
        ];

    }

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    public function create($input)
    {
        $input["password"] = \Hash::make($input["password"]);
        $user = $this->model->where("email", $input["email"])->first();

        if($user != null && $user->role->name == "prospet" ) {
            $user->password = $input["password"];
            $user->save();
            return $user;
        }
        else if($user == null) {
            $model = $this->model->newInstance($input);
            $model->save();
            return $model;
        } else {
            return $user;
        }

    }

    public function getUsersRoleClient()
    {
        return $this->model->whereHas('client')->get();
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return User::class;
    }
}
