<?php

namespace App;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Tymon\JWTAuth\Contracts\JWTSubject;

class User extends \TCG\Voyager\Models\User implements JWTSubject
{

    protected $table = 'users';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];
    protected $fillable = ['name', 'email', 'hash', 'avatar', 'entrepriseId', 'password', 'remember_token', 'phone', 'verified'];

    public function getJWTIdentifier() {
        return $this->getKey();
    }

    public function getJWTCustomClaims() {
        return [];
    }

    public function entreprise() {
        return $this->belongsTo('App\Models\Entreprise', 'entrepriseId');
    }

    public function client() {
        return $this->hasOne('App\Models\Client', 'userId');
    }

    public function role() {
        return $this->belongsTo('\TCG\Voyager\Models\Role', 'role_id');
    }

}
