<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductDescriptionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ProductDescription', function (Blueprint $table) {
            $table->bigIncrements('id')->unsigned();
            $table->string('label');
            $table->string('image')->nullable();
            $table->bigInteger('categoryId')->unsigned();
            $table->bigInteger('brandId')->unsigned()->nullable();
            $table->bigInteger('supplierId')->unsigned()->nullable();
            $table->double('buyingPrice');
            $table->boolean('isReturnable')->default(false);
            $table->boolean('isPreparedInStore')->default(false);
            $table->double('criticalQuantity')->nullable();
            $table->enum('nature', ['unity', 'g/l']);
            $table->float('unity')->default(1);
            $table->float('subUnity')->default(1);
            $table->float('weight')->nullable();
            $table->text('description')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ProductDescription');
    }
}
