<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePriceCategoryTable extends Migration {

	public function up()
	{
		Schema::create('PriceCategory', function(Blueprint $table) {
			$table->bigIncrements('id')->unsigned();
			$table->string('label');
			$table->string('tag')->unique();
			$table->double('tva')->nullable();
			$table->bigInteger('parentId')->unsigned()->nullable();
			$table->integer('order')->default(0);
			$table->text('description')->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('PriceCategory');
	}
}