<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreatePriceTable extends Migration {

	public function up()
	{
		Schema::create('Price', function(Blueprint $table) {
			$table->bigIncrements('id')->unsigned();
			$table->string('label');
			$table->string('image');
			$table->double('price');
			$table->bigInteger('categoryId')->unsigned()->nullable();
			$table->double('promoPrice')->nullable();
			$table->boolean('isHidden')->default(false);
			$table->boolean('isStandard')->default(false);
			$table->boolean('isRecommended')->default(false);
			$table->dateTime('promotionEndAt')->nullable();
			$table->dateTime('date_reminder')->nullable();
			$table->integer('order')->default(0);
			$table->text('description')->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('Price');
	}
}