<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateReductionCodeClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ReductionCodeClient', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('clientId')->unsigned();
            $table->bigInteger('reductionCodeId')->unsigned();
            $table->foreign('clientId')->references('id')->on('Client')->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('reductionCodeId')->references('id')->on('ReductionCode')->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ReductionCodeClient');
    }
}
