<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddParentIdToCommandTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("Command", function (Blueprint $table) {
            $table->bigInteger("parentId")->unsigned()->nullable();
            $table->foreign('parentId')->references('id')->on('Command')
				->onDelete('cascade')
				->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table("Command", function (Blueprint $table) {
            $table->dropForeign('Command_parentId_foreign');
            $table->dropColumn("parentId");
        });
    }
}
