<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePriceReviewsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('PriceReview', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('rate')->nullabel();
            $table->string('name')->nullabel();
            $table->string('email')->nullabel();
            $table->string('title')->nullabel();
            $table->mediumText('comment')->nullabel();
            $table->bigInteger('priceId')->unsigned();
            $table->foreign('priceId')->references('id')->on('Price')
				->onDelete('cascade')
				->onUpdate('cascade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('PriceReview');
    }
}
