<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSupplierTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('Supplier', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('label');
            $table->string('tag')->unique();
            $table->string('address')->nullable();
            $table->string('image')->nullable();
            $table->string('turnover')->default(0)->nullable();
            $table->string('postalCode')->nullable();
            $table->string('email')->nullable();
            $table->string('reference')->nullable();
            $table->string('phone')->nullable();
            $table->string('cityId')->nullable();
            $table->string('webSite')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('Supplier');
    }
}
