<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductProductCategoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ProductProductCategory', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('categporyId')->unsigned();
            $table->bigInteger('productId')->unsigned();
            $table->foreign('categoryId')->references('id')->on('ProductCategory')
                ->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('productId')->references('id')->on('Product')
                ->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ProductProductCategory');
    }
}
