<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeProductTableColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('Product', function (Blueprint $table) {
            $table->dropForeign(['productDescriptionId']);
            $table->dropColumn('productDescriptionId');
            $table->bigInteger('product_description_id')->unsigned();
            $table->foreign('product_description_id')->references('id')->on('ProductDescription')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropColumn('bar_code');
            $table->string('barcode')->nullable();
            $table->integer('tva')->nullable();
            $table->integer('buyingPrice')->nullable();
            $table->string('file_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('Product', function (Blueprint $table) {
            $table->bigInteger('productDescriptionId')->unsigned();
            $table->foreign('productDescriptionId')->references('id')->on('ProductDescription')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropForeign('product_description_id');
            $table->dropColumn('product_description_id');
            $table->dropColumn('barcode');
            $table->string('bar_code');
            $table->dropColumn('tva');
            $table->dropColumn('buyingPrice');
            $table->dropColumn('file_id');
        });
    }
}
