<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeProductDescriptionTableColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ProductDescription', function (Blueprint $table) {
            $table->dropForeign(['categoryId']);
            $table->dropColumn('categoryId');
            $table->dropForeign(['brandId']);
            $table->dropColumn('brandId');
            $table->dropForeign(['supplierId']);
            $table->dropColumn('supplierId');
            $table->bigInteger('category_id')->unsigned();
            $table->foreign('category_id')->references('id')->on('ProductCategory')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('brand_id')->unsigned();
            $table->foreign('brand_id')->references('id')->on('Brand')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('supplier_id')->unsigned();
            $table->foreign('supplier_id')->references('id')->on('Supplier')
				->onDelete('cascade')->onUpdate('cascade');
            $table->boolean('withSerialNumber')->default(false);
            $table->boolean('isService')->default(false);
            $table->boolean('isLegacy')->default(false);
            $table->string('en_label')->nullable();
            $table->string('ar_label')->nullable();
            $table->string('it_label')->nullable();
            $table->string('frequency')->nullable();
            $table->string('file_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ProductDescription', function (Blueprint $table) {
            $table->dropForeign(['category_id']);
            $table->dropColumn('category_id');
            $table->dropForeign(['brand_id']);
            $table->dropColumn('brand_id');
            $table->dropForeign(['supplier_id']);
            $table->dropColumn('supplier_id');
            $table->bigInteger('categoryId')->unsigned();
            $table->foreign('categoryId')->references('id')->on('ProductCategory')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('brandId')->unsigned();
            $table->foreign('brandId')->references('id')->on('Brand')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('supplierId')->unsigned();
            $table->foreign('supplierId')->references('id')->on('Supplier')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropColumn('withSerialNumber');
            $table->dropColumn('isService');
            $table->dropColumn('isLegacy');
            $table->dropColumn('en_label');
            $table->dropColumn('ar_label');
            $table->dropColumn('it_label');
            $table->dropColumn('frequency');
            $table->dropColumn('file_id');
        });
    }
}
