<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeCombinedProductTableColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('CombinedProduct', function (Blueprint $table) {
            $table->dropForeign(['productId']);
            $table->dropColumn('productId');
            $table->dropForeign(['priceId']);
            $table->dropColumn('priceId');
            $table->bigInteger('product_id')->unsigned();
            $table->foreign('product_id')->references('id')->on('Product')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('price_id')->unsigned();
            $table->foreign('price_id')->references('id')->on('Price')
				->onDelete('cascade')->onUpdate('cascade');
            $table->boolean('isDefault')->default(false);
            $table->boolean('isOrCombination')->default(false);
            $table->boolean('isAutoIncluded')->default(false);
            $table->integer('compositionNumber')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('CombinedProduct', function (Blueprint $table) {
            $table->dropForeign(['product_id']);
            $table->dropColumn('product_id');
            $table->dropForeign(['price_id']);
            $table->dropColumn('price_id');
            $table->bigInteger('productId')->unsigned();
            $table->foreign('productId')->references('id')->on('Product')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('priceId')->unsigned();
            $table->foreign('priceId')->references('id')->on('Price')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropColumn('isDefault');
            $table->dropColumn('isOrCombination');
            $table->dropColumn('isAutoIncluded');
            $table->dropColumn('compositionNumber');
        });
    }
}
