<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeTableProductDetailkeyName extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::rename('ProductDetailKey', 'ProductDetailkey');

        Schema::table('ProductDetailkey', function (Blueprint $table) {
            $table->dropForeign(['productId']);
            $table->dropColumn('productId');
            $table->dropForeign(['detailKeyId']);
            $table->dropColumn('detailKeyId');
            $table->bigInteger('product_id')->unsigned();
            $table->foreign('product_id')->references('id')->on('Product')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('detail_key_id')->unsigned();
            $table->foreign('detail_key_id')->references('id')->on('DetailKey')
				->onDelete('cascade')->onUpdate('cascade');
            $table->string('en_value')->nullable();
            $table->string('ar_value')->nullable();
            $table->string('it_value')->nullable();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::rename('ProductDetailkey', 'ProductDetailKey');

        Schema::table('ProductDetailKey', function (Blueprint $table) {
            $table->dropForeign(['product_id']);
            $table->dropColumn('product_id');
            $table->dropForeign(['price_id']);
            $table->dropColumn('price_id');
            $table->bigInteger('productId')->unsigned();
            $table->foreign('productId')->references('id')->on('Product')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('detailKeyId')->unsigned();
            $table->foreign('detailKeyId')->references('id')->on('Price')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropColumn('en_value');
            $table->dropColumn('ar_value');
            $table->dropColumn('it_value');
        });

    }
}
