<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeTableProductCategoryName extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ProductCategory', function (Blueprint $table) {
            $table->dropForeign(['parentId']);
            $table->dropColumn('parentId');
            $table->bigInteger('parent_id')->unsigned()->nullable();
            $table->foreign('parent_id')->references('id')->on('ProductCategory')
				->onDelete('cascade')->onUpdate('cascade');
            $table->string('en_label')->nullable();
            $table->string('ar_label')->nullable();
            $table->string('it_label')->nullable();
            $table->string('file_id')->nullable();
            $table->string('color')->nullable();
            $table->bigInteger('external_id')->unsigned()->nullable();
            $table->integer('tva')->nullable();
            $table->dropUnique('productcategory_tag_unique');
            $table->boolean('isDefault')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ProductCategory', function (Blueprint $table) {
            $table->dropForeign(['parent_id']);
            $table->dropColumn('parent_id');
            $table->bigInteger('parentId')->unsigned();
            $table->foreign('parentId')->references('id')->on('ProductCategory')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropColumn('en_label');
            $table->dropColumn('ar_label');
            $table->dropColumn('it_label');
            $table->dropColumn('file_id');
            $table->dropColumn('external_id');
            $table->dropColumn('tva');
            $table->dropColumn('isDefault');
            $table->dropColumn('color');
            $table->string('tag')->unique()->change();
        });
    }
}
