<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeTableProductElementColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ProductElement', function (Blueprint $table) {
            $table->dropForeign(['productId']);
            $table->dropColumn('productId');
            $table->dropForeign(['elementId']);
            $table->dropColumn('elementId');
            $table->bigInteger('product_id')->unsigned()->nullable();
            $table->foreign('product_id')->references('id')->on('Product')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('element_id')->unsigned()->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ProductElement', function (Blueprint $table) {
            $table->dropForeign(['product_id']);
            $table->dropColumn('product_id');
            $table->dropForeign(['element_id']);
            $table->dropColumn('element_id');
            $table->bigInteger('productId')->unsigned()->nullable();
            $table->foreign('productId')->references('id')->on('Product')
				->onDelete('cascade')->onUpdate('cascade');
            $table->bigInteger('elementId')->unsigned()->nullable();
        });
    }
}
