<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeTablePriceColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('Price', function (Blueprint $table) {
            $table->dropForeign(['categoryId']);
            $table->dropColumn('categoryId');
            $table->bigInteger('category_id')->unsigned()->nullable();
            $table->foreign('category_id')->references('id')->on('ProductCategory')
				->onDelete('cascade')->onUpdate('cascade');
            $table->string('en_label')->nullable();
            $table->string('ar_label')->nullable();
            $table->string('it_label')->nullable();
            $table->string('composition_identifier')->nullable();
            $table->boolean('isDisplayed')->default(false);
            $table->integer('tva')->nullable();
            $table->bigInteger('magasin_id')->unsigned()->nullable();
            $table->bigInteger('external_id')->unsigned()->nullable();
            $table->string('barcode')->nullable();
            $table->string('currencyTag')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('Price', function (Blueprint $table) {
            $table->dropForeign(['category_id']);
            $table->dropColumn('category_id');
            $table->bigInteger('categoryId')->unsigned()->nullable();
            $table->foreign('categoryId')->references('id')->on('ProductCategory')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropColumn(['en_label','ar_label','it_label','composition_identifier','isDisplayed','tva','magasin_id','external_id','barcode','currencyTag']);
        });
    }
}
