<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangeTableSupplierColumns extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('Supplier', function (Blueprint $table) {
            $table->string('file_id')->nullable();
            $table->dropColumn('cityId');
            $table->bigInteger('city_id')->unsigned()->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('Supplier', function (Blueprint $table) {
            $table->dropColumn('city_id');
            $table->bigInteger('cityId')->unsigned()->nullable();
            $table->dropColumn('file_id');
        });
    }
}
