<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddDeliveryStateIdColumnToCommandTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('Command', function (Blueprint $table) {
            $table->bigInteger('delivery_state_id')->unsigned()->nullable();
            $table->foreign('delivery_state_id')->references('id')->on('DeliveryState')
            ->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('Command', function (Blueprint $table) {
            $table->dropForeign(['delivery_state_id']);
            $table->dropColumn('delivery_state_id');
        });
    }
}
