<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddFilePathToTablesWithFileId extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ProductCategory', function (Blueprint $table) {
            $table->string("file_path")->nullable();
        });
        Schema::table('ProductDescription', function (Blueprint $table) {
            $table->string("file_path")->nullable();
        });
        Schema::table('Product', function (Blueprint $table) {
            $table->string("file_path")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ProductCategory', function (Blueprint $table) {
            $table->dropColumn("file_path");
        });
        Schema::table('ProductDescription', function (Blueprint $table) {
            $table->dropColumn("file_path");
        });
        Schema::table('Product', function (Blueprint $table) {
            $table->dropColumn("file_path");
        });
    }
}
