<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ChangePriceTagPriceColumn extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('PriceTagPrice', function (Blueprint $table) {
            $table->dropForeign(['priceId']);
            $table->dropColumn('priceId');
            $table->bigInteger('price_id')->unsigned()->nullable();
            $table->foreign('price_id')->references('id')->on('Price')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropForeign(['priceTagId']);
            $table->dropColumn('priceTagId');
            $table->bigInteger('price_tag_id')->unsigned()->nullable();
            $table->foreign('price_tag_id')->references('id')->on('PriceTag')
				->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('PriceTagPrice', function (Blueprint $table) {
            $table->dropForeign(['price_id']);
            $table->dropColumn('price_id');
            $table->bigInteger('priceId')->unsigned()->nullable();
            $table->foreign('priceId')->references('id')->on('Price')
				->onDelete('cascade')->onUpdate('cascade');
            $table->dropForeign(['price_tag_id']);
            $table->dropColumn('price_tag_id');
            $table->bigInteger('priceTagId')->unsigned()->nullable();
            $table->foreign('priceTagId')->references('id')->on('PriceTag')
				->onDelete('cascade')->onUpdate('cascade');
        });
    }
}
