<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductAvailabilityTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ProductAvailability', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->bigInteger('product_description_id')->unsigned();
            $table->foreign('product_description_id')->references('id')->on('ProductDescription')->onDelete('cascade')->onUpdate('cascade');
            $table->boolean('is_available')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ProductAvailability');
    }
}
