@php
$config = [
    'appName' => config('app.name'),
    'locale' => $locale = app()->getLocale(),
    'locales' => config('app.locales'),
    'githubAuth' => config('services.github.client_id'),
];
@endphp
<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <?php $admin_favicon = Voyager::setting('admin.icon_image', ''); ?>
  @if($admin_favicon == '')
      <link rel="shortcut icon" href="{{ voyager_asset('images/logo-icon.png') }}" type="image/png">
  @else
      <link rel="shortcut icon" href="{{ Voyager::image($admin_favicon) }}" type="image/png">
  @endif

  <title>{{ config('app.name') }}</title>

  <link href="/vendor/fontawesome/css/all.min.css" rel="stylesheet">
  <link href="/vendor/icofont/icofont.min.css" rel="stylesheet">
  <link rel="stylesheet" href="{{ mix('dist/css/app.css') }}">
</head>
<body>
  <div id="app"></div>

  {{-- Global configuration object --}}
  <script>
    window.config = @json($config);
  </script>

  {{-- Load the application scripts --}}
  <script src="{{ mix('dist/js/app.js') }}"></script>
  {{-- <script src="/js/custom.js"></script> --}}
  @if(config('app.env') == 'local')
    <script src="http://localhost:35729/livereload.js"></script>
  @endif

</body>
</html>
