<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

    <title>Ticket Client</title>
    <link rel="stylesheet" href="style.css" media="all" />
    <style>
      .clearfix:after {
        content: "";
        display: table;
        clear: both;
      }
      

      * { 
        font-family: DejaVu Sans, sans-serif; 
      }

      a {
        color: #5D6975;
        text-decoration: underline;
      }

      body {
        position: relative;
        width: 21cm;
        height: 29.7cm;
        margin: 0 auto;
        color: #001028;
        background: #FFFFFF;
        /* font-family: Arial, sans-serif; */
        font-size: 12px;
        /* font-family: Arial; */
      }

      @media only screen and (max-width: 800px) {
          body {
              width: 100%;
          }
      }

      header {
        padding: 10px 0;
        margin-bottom: 30px;
      }

      #logo {
        text-align: center;
        margin-bottom: 10px;
      }

      #logo img {
        width: 90px;
      }

      h1 {
        border-top: 1px solid  #5D6975;
        border-bottom: 1px solid  #5D6975;
        color: #5D6975;
        font-size: 2.4em;
        line-height: 1.4em;
        font-weight: normal;
        text-align: center;
        margin: 0 0 20px 0;
        background: url(dimension.png);
      }

      #project {
        float: left;
      }

      #project span {
        color: #5D6975;
        text-align: right;
        width: 52px;
        margin-right: 10px;
        display: inline-block;
        font-size: 0.8em;
      }

      #company {
        float: right;
        text-align: right;
      }

      #project div,
      #company div {
        white-space: nowrap;
      }

      table {
        width: 100%;
        border-collapse: collapse;
        border-spacing: 0;
        margin-bottom: 20px;
      }

      table tr:nth-child(2n-1) td {
        background: #F5F5F5;
      }

      table th,
      table td {
        text-align: center;
      }

      table th {
        padding: 5px 20px;
        color: #5D6975;
        border-bottom: 1px solid #C1CED9;
        white-space: nowrap;
        font-weight: normal;
      }

      table .service,
      table .desc {
        text-align: left;
      }

      table td {
        padding: 20px;
        text-align: right;
      }

      table td.service,
      table td.desc {
        vertical-align: top;
      }

      table td.unit,
      table td.qty,
      table td.total {
        font-size: 1.2em;
      }

      table td.grand {
        border-top: 1px solid #5D6975;;
      }

      #notices .notice {
        color: #5D6975;
        font-size: 1.2em;
      }

      footer {
        color: #5D6975;
        width: 100%;
        height: 30px;
        position: absolute;
        bottom: 0;
        border-top: 1px solid #C1CED9;
        padding: 8px 0;
        text-align: center;
      }
    </style>
  </head>
  <body>
    <header class="clearfix">
      <div id="logo">
      </div>
      <h1>COMMANDE N°: #{{$command->id}}</h1>
      {{-- <div id="company" class="clearfix">
        <div>Company Name</div>
        <div>455 Foggy Heights,<br /> AZ 85004, US</div>
        <div>(602) 519-0450</div>
        <div><a href="mailto:company@example.com">company@example.com</a></div>
      </div> --}}
      <div id="project">
        <div><span>CLIENT</span> {{ $command->client->user->name }}</div>
        <div><span>ADRESSE</span> {{ $command->address->description }}</div>
        <div><span>EMAIL</span> <a href="mailto:{{$command->client->user->email}}">
          {{ $command->client->user->email }}</a>
        </div>
        <div><span>DATE</span> {{ $command->planifiedFor }}</div>
      </div>
    </header>
    <main>
      <table>
        <thead>
          <tr>
            <th class="service">PRODUIT</th>
            <th>PRIX</th>
            <th>QUANTITÉ</th>
            <th>TOTAL</th>
          </tr>
        </thead>
        <tbody>
          @foreach ($command->prices as $price)
            <tr>
                <td>{{ $price->products[0]->description->label }}</td>
                <td>{{ $price->promoPrice }}</td>
                <td>{{ $price->pivot->quantity }}</td>
                <td>{{ ($price->promoPrice * $price->pivot->quantity) }}</td>
            </tr>
          @endforeach
          <tr>
            <td colspan="3">Total de la commande</td>
            <td class="total">{{ $command->total_without_reduction }} DH</td>
          </tr>
          <tr>
            <td colspan="3">Remise exceptionnelle</td>
            <td class="total">{{ $command->total_reduction }} DH</td>
          </tr>
          <tr>
            <td colspan="3" class="grand total">Net à payer</td>
            <td class="grand total">{{ $command->total }} DH</td>
          </tr>
        </tbody>
      </table>
      {{-- <div id="notices">
        <div>NOTICE:</div>
        <div class="notice">A finance charge of 1.5% will be made on unpaid balances after 30 days.</div>
      </div> --}}
    </main>
    <footer>
      {{-- Invoice was created on a computer and is valid without the signature and seal. --}}
    </footer>
  </body>
</html>