@extends('voyager::master')

@section('css')
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="stylesheet" href="https://unpkg.com/tableexport/dist/css/tableexport.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.css">
    <style>
        .table-container{
            padding: 2rem 4rem;
            margin: 0 auto;
            display: flex;
            max-width: 140rem;
            justify-content: center;
        }
    </style>
@stop

@section('page_title', 'L\'exportation des rapports')

@section('page_header')
    <h1 style="margin: 0 40px" class="page-title">
        <i class="icon voyager-categories"></i>
        Gestion des categories
    </h1>

    <div class="table-container">
        <table class="table">
            <thead>
              <tr>
                <th scope="col">#</th>
                <th scope="col">Label</th>
                <th scope="col">Created At</th>
                <th scope="col">Visibilité</th>
                <th scope="col">Action</th>
              </tr>
            </thead>
            <tbody>
                @foreach($categories  as $category)
                <?php $index = $loop->index ?>
                    <tr>
                        <th scope="row">{{ $index }}</th>
                        <td>{{ $category->label }}</td>
                        <td>{{ $category->created_at }}</td>
                        <td class="left-td">
                            @if($category->isHidden)
                                <button class="btn btn-sm btn-success pull-right">
                                    Non
                                </button>
                            @else
                                <button class="btn btn-sm btn-default pull-right">
                                    Oui
                                </button>
                            @endif
                        </td>
                        <td>
                            @if($category->isHidden)
                                <a class="btn btn-sm btn-default pull-right" href="/admin/category/{{$category->id}}/toggle">
                                    <i class="voyager-x"></i> <span class="hidden-xs hidden-sm">Afficher</span>
                                </a>
                            @else
                                <a class="btn btn-sm btn-success pull-right" href="/admin/category/{{$category->id}}/toggle">
                                    <i class="voyager-eye"></i> <span class="hidden-xs hidden-sm">Cacher</span>
                                </a>
                            @endif
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
@stop