@extends('voyager::master')

@section('page_title', __('voyager::generic.viewing').' ')

@section('css')
<style>
    .flex-ul{
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        border-radius: 4rem;
    }
    .flex-li.active > a:hover{
        color: #000 !important
    }
    .flex-li:first-child > a {
        border-radius: 4rem 0 0 4rem !important;
    }
    .flex-li:last-child > a {
        border-radius: 0 4rem 4rem 0 !important;
    }
    .flex-li{
        margin-bottom: -1px;editUrl
        list-style: none;
        display: inline-block;
        width: calc(100% / 6);
        /* height: 120px; */
        text-align: center;
    }
    input[type="date"].form-control {
        line-height: normal;
    }
    .text-success{
        color: green !important;
    }
    .text-danger{
        color: red !important;
    }
</style>
@endsection


@section('page_header')
<div class="container-fluid">
    <div style="display:flex; justify-content: space-between; align-items: center; padding: 0 2rem">
        <h1 class="page-title">
            <i class="icon voyager-book"></i> Gestion des clients
        </h1>
    </div>
</div>
@stop

@section('content')
<div style="padding: 4rem 3rem !important" class="table-responsive">
    
    <div style="display: flex; justify-content: space-between; align-items: center; margin-bottom: 3rem">
        <form id="form_pagination_number" action="{{ route('admin.clients.paginated') }}" method="GET" class="dataTables_filter">
            <label style="display: flex; gap: 1rem; align-items: center; width: 20rem" >Afficher<select onChange="submitForm()" name="pagination" class="form-control input-sm">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select> éléments</label>
        </form>
        <form id="form_search_key" action="{{ route('admin.clients.paginated') }}" method="GET" style="display:flex; align-items:center; gap: 1rem; width: 40rem" class="dataTables_filter">
            @csrf
            <label for="input-search-key" style="height: 1rem">Rechercher :</label>
            <input id="input-search-key" name="key" type="search" value="{{ $key }}" class="form-control input-sm" placeholder="">
            <button type="submit" class="btn btn-sm btn-default">Valider</button>
        </form>
    </div>
    
    <table id="dataTable" class="table table-hover">
        <thead>
            <tr>
                <th id="filed-total">
                    #
                </th>
                <th id="filed-client">
                    le nom
                </th>
                <th id="filed-client">
                    N Téléphone
                </th>
                <th id="filed-client">
                    Email
                </th>
                <th id="filed-client">
                    Crée le
                </th>
                <th id="filed-client">
                    Actions
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach($dataTypeContent as $data)
                <tr>
                    <td> {{ $data->id }}  </td>
                    <td>{{ $data->name }}</td>
                    <td>{{ $data->phone ?? "---" }}</td>
                    <td>{{ $data->email ?? "---" }}</td>
                    <td>{{ $data->created_at }}</td>
                    <td><button class="btn btn-sm text-success btn-default">
                                            
                        <a href="/admin/clients/{{ $data->id }}/reset" title="reset">
                            <span class="hidden-xs hidden-sm">Réinitialiser</span>
                        </a>
                    </button></td>
                </tr>
            @endforeach
        </tbody>
    </table>
    
    <div style="display:flex; justify-content: flex-end; margin-top: 4rem">
       {{ $dataTypeContent->links() }}
    </div>
</div>
@stop


@section('javascript')

<script>
    function submitForm() {
        document.getElementById('form_pagination_number').submit();
    }
</script>

@stop
