@extends('voyager::master')

@section('page_title', __('voyager::generic.viewing').' ')

@section('css')
<style>
    .flex-ul{
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        border-radius: 4rem;
    }
    .flex-li.active > a:hover{
        color: #000 !important
    }
    .flex-li:first-child > a {
        border-radius: 4rem 0 0 4rem !important;
    }
    .flex-li:last-child > a {
        border-radius: 0 4rem 4rem 0 !important;
    }
    .flex-li{
        margin-bottom: -1px;editUrl
        list-style: none;
        display: inline-block;
        width: calc(100% / 6);
        /* height: 120px; */
        text-align: center;
    }
    input[type="date"].form-control {
        line-height: normal;
    }
    .text-success{
        color: green !important;
    }
    .text-danger{
        color: red !important;
    }
</style>
@endsection

@section('content')
<div class="table-responsive">
    <table id="dataTable" class="table table-hover">
        <thead>
            <tr>
                <th id="filed-total">
                    Total
                </th>
                <th id="filed-client">
                    Client
                </th>
                <th id="filed-client">
                    N Téléphone
                </th>
                <th id="filed-client">
                    Mode de paiment
                </th>
                <th id="filed-client">
                    Crée le
                </th>
                <th id="filed-client">
                    L'adresse
                </th>
                <th id="filed-client">
                    Ville
                </th>
                <th id="filed-client">
                    N Ticket
                </th>
                <th id="filed-client">
                    Sync precsion
                </th>
                <th id="filed-client">
                    Etat
                </th>
                <th id="filed-client">
                    Actions
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach($dataTypeContent as $data)
                <tr id="command-{{$data->id}}">
                    <td> {{ $data->total }} DH</td>
                    <td> {{ $data->client && $data->client->user ? $data->client->user->name : "---" }}</td>
                    <td>{{ $data->client ? $data->client->phone : "---" }}</td>
                    <td>{{ $data->paymentMod ? $data->paymentMod->tag : "---" }}</td>
                    <td>{{ $data->created_at }}</td>
                    <td>{{ $data->adresse ? $data->adresse->description : '---' }}</td>
                    <td>{{ $data->region }}</td>
                    <td><button class="btn btn-sm btn-default"> {{ $data->trackingNumber }} </button></td>
                    <td><button class="btn btn-sm btn-default"> {{ $data->pos_command_id }} </button></td>

                    @if($data->canceled)
                        </td><button class="btn btn-sm btn-default text-danger">Annulé</button></td>
                    @elseif($data->validated)
                        </td><button class="btn btn-sm text-success btn-default">Validé</button></td>
                    @else
                        </td><button class="btn btn-sm btn-default">En attent</button></td>
                    @endif

                    <?php
                        $editUrl = env('FRONT_URL').'/Admin/Edit-command?uuid='. $data->id;
                    ?>
                    
                    <td class="no-sort no-click" id="bread-actions">
                        @if($data->pos_command_id && !$data->validated && !$data->canceled)
                            <a class="btn btn-sm btn-primary pull-right" href="/admin/command/handle/{{$data->id}}">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Validé</span>
                            </a>
                            <a class="btn btn-sm btn-danger pull-right" href="/admin/command/handle/{{$data->id}}/?state=cancele" style="margin-right: 4px;">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Annuler</span>
                            </a>
                            <a class="btn btn-sm btn-primary pull-right" href="{{ $editUrl }}">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Editer</span>
                            </a>
                        @elseif($data->pos_command_id && $data->validated && !$data->canceled)
                            <a class="btn btn-sm btn-danger pull-right" href="/admin/command/handle/{{$data->id}}/?state=cancele">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Annuler</span>
                            </a>
                            <a class="btn btn-sm btn-primary pull-right" href="{{ $editUrl }}">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Editer</span>
                            </a>
                        @endif
                        <a class="btn btn-sm btn-success pull-right" style="margin-right: 4px;" target="_blank" href="/admin/command/{{$data->id}}/print" title="Imprimer">
                            <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Imprimer</span>
                        </a>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
@stop