@extends('voyager::master')

@section('page_title', __('voyager::generic.viewing').' ')

@section('css')
<style>
    .flex-ul{
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        border-radius: 4rem;
    }
    .flex-li.active > a:hover{
        color: #000 !important
    }
    .flex-li:first-child > a {
        border-radius: 4rem 0 0 4rem !important;
    }
    .flex-li:last-child > a {
        border-radius: 0 4rem 4rem 0 !important;
    }
    .flex-li{
        margin-bottom: -1px;editUrl
        list-style: none;
        display: inline-block;
        width: calc(100% / 6);
        /* height: 120px; */
        text-align: center;
    }
    input[type="date"].form-control {
        line-height: normal;
    }
    .text-success{
        color: green !important;
    }
    .text-danger{
        color: red !important;
    }
</style>
@endsection


@section('page_header')
<div class="container-fluid">
    <div style="display:flex; justify-content: space-between; align-items: center; padding: 0 2rem">
        <h1 class="page-title">
            <i class="icon voyager-book"></i> Liste des commandes
        </h1>
        <!-- <a class="btn btn-sm btn-success pull-right" href="/admin/jobs/retryAll">
            <i class="voyager-compass"></i> <span class="hidden-xs hidden-sm">Retry</span>
        </a> -->  
    </div>
</div>
@stop


@section('content')
<div style="padding: 7rem 3rem 0 !important" class="table-responsive">
    
    <div style="display: flex; justify-content: space-between; align-items: center; margin-bottom: 3rem">
        <form id="form_pagination_number" action="{{ route('admin.commands.paginated') }}" method="GET" class="dataTables_filter">
            <label style="display: flex; gap: 1rem; align-items: center; width: 20rem" >Afficher<select onChange="submitForm()" name="pagination" class="form-control input-sm">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
            </select> éléments</label>
        </form>
        <form id="form_search_key" action="{{ route('admin.commands.paginated') }}" method="GET" style="display:flex; align-items:center; gap: 1rem; width: 40rem" class="dataTables_filter">
            @csrf
            <label for="input-search-key" style="height: 1rem">Rechercher :</label>
            <input id="input-search-key" name="key" type="search" value="{{ $key }}" class="form-control input-sm" placeholder="">
            <button type="submit" class="btn btn-sm btn-default">Valider</button>
        </form>
    </div>

    <table id="dataTable" class="table table-hover">
        <thead>
            <tr>
                <th id="filed-total">
                    Total
                </th>
                <th id="filed-client">
                    Client
                </th>
                <th id="filed-client">
                    N Téléphone
                </th>
                <th id="filed-client">
                    Mode de paiment
                </th>
                <th id="filed-client">
                    Crée le
                </th>
                <th id="filed-client">
                    L'adresse
                </th>
                <th id="filed-client">
                    Ville
                </th>
                <th id="filed-client">
                    N Ticket
                </th>
                <th id="filed-client">
                    Sync precsion
                </th>
                <th id="filed-client">
                    Etat
                </th>
                <th id="filed-client">
                    Actions
                </th>
            </tr>
        </thead>
        <tbody>
            @foreach($dataTypeContent as $data)
                <tr id="command-{{$data->id}}">
                    <td> {{ $data->total }} DH</td>
                    <td> {{ $data->client && $data->client->user ? $data->client->user->name : "---" }}</td>
                    <td>{{ $data->client ? $data->client->phone : "---" }}</td>
                    <td>{{ $data->payementMode ? $data->payementMode->tag : "---" }}</td>
                    <td>{{ $data->created_at }}</td>
                    <td>{{ $data->address ? $data->address->description : '---' }}</td>
                    <td>{{ $data->region }}</td>
                    <td><button class="btn btn-sm btn-default"> {{ $data->trackingNumber }} </button></td>
                    <td><button class="btn btn-sm btn-default"> {{ $data->pos_command_id }} </button></td>

                    @if($data->canceled)
                        <td><button class="btn btn-sm btn-default text-danger">Annulé</button></td>
                    @elseif($data->validated)
                        <td><button class="btn btn-sm text-success btn-default">Validé</button></td>
                    @else
                        <td><button class="btn btn-sm btn-default">En attent</button></td>
                    @endif

                    <?php
                        $editUrl = env('FRONT_URL').'/Admin/Edit-command?uuid='. $data->id;
                    ?>
                    
                    <td class="no-sort no-click" id="bread-actions">
                        @if($data->pos_command_id && !$data->validated && !$data->canceled)
                            <a class="btn btn-sm btn-primary pull-right" style="margin-right: 4px;" href="/admin/command/handle/{{$data->id}}">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Validé</span>
                            </a>
                            <a class="btn btn-sm btn-danger pull-right" href="/admin/command/handle/{{$data->id}}/?state=cancele" style="margin-right: 4px;">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Annuler</span>
                            </a>
                            <a class="btn btn-sm btn-primary pull-right" style="margin-right: 4px;" href="{{ $editUrl }}">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Editer</span>
                            </a>
                        @elseif($data->pos_command_id && $data->validated && !$data->canceled)
                            <a class="btn btn-sm btn-danger pull-right" style="margin-right: 4px;" href="/admin/command/handle/{{$data->id}}/?state=cancele">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Annuler</span>
                            </a>
                            <a class="btn btn-sm btn-primary pull-right" style="margin-right: 4px;" href="{{ $editUrl }}">
                                <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Editer</span>
                            </a>
                        @endif
                        <a class="btn btn-sm btn-success pull-right" style="margin-right: 4px;" target="_blank" href="/admin/command/{{$data->id}}/print" title="Imprimer">
                            <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Imprimer</span>
                        </a>
                        <a class="btn btn-sm btn-warning pull-right" style="margin-right: 4px;" href="/admin/command/{{$data->id}}" title="Imprimer">
                            <i class="voyager-documentation"></i> <span class="hidden-xs hidden-sm">Vue</span>
                        </a>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>

    <div style="display:flex; justify-content: flex-end; margin-top: 4rem">
       {{ $dataTypeContent->links() }}
    </div>
</div>
@stop


@section('javascript')

<script>
    function submitForm() {
        document.getElementById('form_pagination_number').submit();
    }
</script>

@stop


