
@extends('voyager::master')

@section('css')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@stop

@section('page_title', __('voyager::generic.add'))

@section('page_header')
    <h1 class="page-title">
        {{ __('voyager::generic.add')}}
    </h1>
    @include('voyager::multilingual.language-selector')
@stop

@section('content')
    <div class="page-content edit-add container-fluid">
        <div class="panel panel-bordered">
            <form role="form"
                class="form-edit-add"
                action="{{ route('voyager.'.$dataType->slug.'.store') }}"
                method="POST" enctype="multipart/form-data"
            >
                {{ csrf_field() }}
                <div class="panel-body">
                    <div class="form-group">
                        <label class="control-label" for="name">Titre</label>
                        <input
                            type="text"
                            class="form-control"
                            name="title"
                            required=""
                            placeholder="Titre"
                        />
                    </div>
                    <div class="form-group">
                        <label class="control-label" for="name">Message</label>
                        <textarea
                            type="text"
                            class="form-control"
                            name="message"
                            required=""
                            placeholder="Message"
                            rows="3"
                        ></textarea>
                    </div>
                </div>
                <div class="panel-footer">
                    @section('submit-buttons')
                        <button type="submit" class="btn btn-primary save">{{ __('voyager::generic.save') }}</button>
                    @stop
                    @yield('submit-buttons')
                </div>
            </form>
        </div>
    </div>
@stop