@php
    $edit = !is_null($dataTypeContent->getKey());
    $add  = is_null($dataTypeContent->getKey());
@endphp

@extends('voyager::master')

@section('css')
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <style>
        .flex-container {
            display: flex;
            flex-wrap: wrap;
            margin: 3rem 0;
            align-items: stretch;
            background-color: #eee;
            padding: 0.5rem;
            padding-bottom: 0;
            padding-right: 0;
        }
        .flex-item {
            -webkit-box-flex: 1;
            -ms-flex-positive: 1;
            position: relative;
            background-color: #f9f9f9;
            border: 1px solid #f3f3f3;
            padding: 2rem;
            width: calc(100% * (1/3) - 1px);
            margin-bottom: 0.5rem
        }
        .product-flex-container {
            /* overflow-y: auto;
            height: 12rem; */
        }
        .product-flex-item {

        }
        .flex-item:first-child  {
            margin-right: 0.5rem;
            width: calc(100% * (1/3) - 0.5rem - 1px);
        }
        .flex-item + .flex-item {
            margin-right: 0.5rem;
            width: calc(100% * (1/3) - 0.5rem - 1px);
        }

        .funkyradio div {
            clear: both;
            overflow: hidden;
        }

        .funkyradio label {
            width: 100%;
            border-radius: 3px;
            border: 1px solid #D1D3D4;
            font-weight: normal;
        }

        .funkyradio input[type="radio"]:empty,
        .funkyradio input[type="checkbox"]:empty {
            display: none;
        }

        .funkyradio input[type="radio"]:empty~label,
        .funkyradio input[type="checkbox"]:empty~label {
            position: relative;
            line-height: 2.5em;
            text-indent: 3.25em;
            /* margin-top: 2em; */
            cursor: pointer;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
        }

        .funkyradio input[type="radio"]:empty~label:before,
        .funkyradio input[type="checkbox"]:empty~label:before {
            position: absolute;
            display: block;
            top: 0;
            bottom: 0;
            left: 0;
            content: '';
            width: 2.5em;
            background: #D1D3D4;
            border-radius: 3px 0 0 3px;
        }

        .funkyradio input[type="radio"]:hover:not(:checked)~label,
        .funkyradio input[type="checkbox"]:hover:not(:checked)~label {
            color: #888;
        }

        .funkyradio input[type="radio"]:hover:not(:checked)~label:before,
        .funkyradio input[type="checkbox"]:hover:not(:checked)~label:before {
            content: '\2714';
            text-indent: .9em;
            color: #C2C2C2;
        }

        .funkyradio input[type="radio"]:checked~label,
        .funkyradio input[type="checkbox"]:checked~label {
            color: #777;
        }

        .funkyradio input[type="radio"]:checked~label:before,
        .funkyradio input[type="checkbox"]:checked~label:before {
            content: '\2714';
            text-indent: .9em;
            color: #333;
            background-color: #ccc;
        }

        .funkyradio input[type="radio"]:focus~label:before,
        .funkyradio input[type="checkbox"]:focus~label:before {
            box-shadow: 0 0 0 3px #999;
        }

        .funkyradio-success input[type="radio"]:checked~label:before,
        .funkyradio-success input[type="checkbox"]:checked~label:before {
            color: #fff;
            background-color: #5cb85c;
        }

        .boxed-button-container{
            padding: 0;
        }

        .boxed-button{
            width: 100%;
            height: 100%;
            font-size: 7em;
            border: none;
            background-color: #f9f9f9;
            transition: 1s
        }

        .boxed-button:hover{
            background-color: #f5f5f5
        }

        .boxed-button:active{
            background-color: #f0f0f0
        }

    </style>
@stop

@section('page_title', __('voyager::generic.'.($edit ? 'edit' : 'add')).' '.$dataType->display_name_singular)

@section('page_header')
    <h1 class="page-title text-uppercase">
        <i class="{{ $dataType->icon }}"></i>
        {{ __('voyager::generic.'.($edit ? 'edit' : 'add')).' '.$dataType->display_name_singular }}{{ request()->get('entreprise') ? ' Pour ' . App\Models\Entreprise::find(request()->get('entreprise'))->name : '' }}
    </h1>
    @include('voyager::multilingual.language-selector')
@stop

@section('content')
    <div class="page-content edit-add container-fluid">
        <div class="row">
            <div class="col-md-12">

                <div class="panel panel-bordered">
                    <!-- form start -->
                    <form role="form"
                            class="form-edit-add"
                            action="{{ $edit ? route('voyager.'.$dataType->slug.'.update', $dataTypeContent->getKey()) : route('voyager.'.$dataType->slug.'.store') }}{{ request()->get('entreprise') ? '?entreprise='.request()->get('entreprise') : '' }}"
                            method="POST" enctype="multipart/form-data">
                        <!-- PUT Method if we are editing -->
                        @if($edit)
                            {{ method_field("PUT") }}
                        @endif

                        <!-- CSRF TOKEN -->
                        {{ csrf_field() }}

                        <div class="panel-body">

                            @if (count($errors) > 0)
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif

                            <div class="form-group flex-container col-md-12">
                                @foreach ($combinitions as $key => $combinition)
                                    <div class="flex-item">
                                        @if(!$edit)
                                            <div class="form-group col-md-12">
                                                <label class="control-label" for="name">
                                                    Categorie
                                                </label>
                                                <select
                                                    class="form-control select2-ajax select2-category"
                                                    name="CategoryId[]"
                                                >
                                                    <option value="">Aucun</option>
                                                </select>
                                            </div>
                                        @endif
                                        <div class="form-group col-md-12 product-flex-container select2-product">
                                            @if(sizeOf($combinition) > 0)
                                                @foreach ($combinition as $product)
                                                    <div class="product-flex-item">
                                                        <div class="funkyradio">
                                                            <div class="funkyradio-success">
                                                                <input
                                                                    disabled="disabled"
                                                                    type="checkbox"
                                                                    checked="checked"
                                                                    id="checkbox-{{$product->id}}"
                                                                />
                                                                <label
                                                                    for="checkbox-{{$product->id}}"
                                                                >
                                                                    {{$product->label}}
                                                                </label>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach
                                            @endif
                                        </div>
                                        {{-- <div class="form-group  col-md-12 ">
                                            <label class="control-label" for="name">Quantite <span class="text-danger">(*)</span></label>
                                            <input type="number" class="form-control" name="quantity[{{$key}}]" required="" step="any" placeholder="Quantite" value="1">
                                        </div> --}}
                                    </div>
                                @endforeach

                                @if(!$edit)
                                    <div class="flex-item boxed-button-container">
                                        <button onclick="addContainer()" class="boxed-button">
                                            +
                                        </button>
                                    </div>
                                @endif
                            </div>

                            <!-- Adding / Editing -->
                            @php
                                $dataTypeRows = $dataType->{($edit ? 'editRows' : 'addRows' )};
                            @endphp

                            @foreach($dataTypeRows as $row)
                                <!-- GET THE DISPLAY OPTIONS -->
                                @php
                                    $display_options = $row->details->display ?? NULL;
                                    if ($dataTypeContent->{$row->field.'_'.($edit ? 'edit' : 'add')}) {
                                        $dataTypeContent->{$row->field} = $dataTypeContent->{$row->field.'_'.($edit ? 'edit' : 'add')};
                                    }
                                @endphp
                                @if (isset($row->details->legend) && isset($row->details->legend->text))
                                    <legend class="text-{{ $row->details->legend->align ?? 'center' }}" style="background-color: {{ $row->details->legend->bgcolor ?? '#f0f0f0' }};padding: 5px;">{{ $row->details->legend->text }}</legend>
                                @endif

                                <div class="form-group @if($row->type == 'hidden') hidden @endif col-md-{{ $display_options->width ?? 12 }} {{ $errors->has($row->field) ? 'has-error' : '' }}" @if(isset($display_options->id)){{ "id=$display_options->id" }}@endif>
                                    {{ $row->slugify }}
                                    <label class="control-label" for="name">{{ $row->display_name }}</label>
                                    @include('voyager::multilingual.input-hidden-bread-edit-add')
                                    @if (isset($row->details->view))
                                        @include($row->details->view, ['row' => $row, 'dataType' => $dataType, 'dataTypeContent' => $dataTypeContent, 'content' => $dataTypeContent->{$row->field}, 'action' => ($edit ? 'edit' : 'add')])
                                    @elseif ($row->type == 'relationship')
                                        @include('voyager::formfields.relationship', ['options' => $row->details])
                                    @else
                                        {!! app('voyager')->formField($row, $dataType, $dataTypeContent) !!}
                                    @endif

                                    @foreach (app('voyager')->afterFormFields($row, $dataType, $dataTypeContent) as $after)
                                        {!! $after->handle($row, $dataType, $dataTypeContent) !!}
                                    @endforeach
                                    @if ($errors->has($row->field))
                                        @foreach ($errors->get($row->field) as $error)
                                            <span class="help-block">{{ $error }}</span>
                                        @endforeach
                                    @endif
                                </div>
                            @endforeach

                        </div><!-- panel-body -->

                        @if(!$edit && request()->get('entreprise'))
                            <input type="hidden" name="isStandard" value="1" />
                        @else
                            <input type="hidden" name="isStandard" value="0" />
                        @endif

                        <div class="panel-footer">
                            @section('submit-buttons')
                                <button type="submit" class="btn btn-primary save">{{ __('voyager::generic.save') }}</button>
                            @stop
                            @yield('submit-buttons')
                        </div>
                    </form>

                    <iframe id="form_target" name="form_target" style="display:none"></iframe>
                    <form id="my_form" action="{{ route('voyager.upload') }}" target="form_target" method="post"
                            enctype="multipart/form-data" style="width:0;height:0;overflow:hidden">
                        <input name="image" id="upload_file" type="file"
                                 onchange="$('#my_form').submit();this.value='';">
                        <input type="hidden" name="type_slug" id="type_slug" value="{{ $dataType->slug }}">
                        {{ csrf_field() }}
                    </form>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-danger" id="confirm_delete_modal">
        <div class="modal-dialog">
            <div class="modal-content">

                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><i class="voyager-warning"></i> {{ __('voyager::generic.are_you_sure') }}</h4>
                </div>

                <div class="modal-body">
                    <h4>{{ __('voyager::generic.are_you_sure_delete') }} '<span class="confirm_delete_name"></span>'</h4>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('voyager::generic.cancel') }}</button>
                    <button type="button" class="btn btn-danger" id="confirm_delete">{{ __('voyager::generic.delete_confirm') }}</button>
                </div>
            </div>
        </div>
    </div>
    <!-- End Delete File Modal -->
@stop

@section('javascript')

    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.9/js/select2.min.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>

    <script>
        var params = {};
        var $file;

        function addContainer() {
            $(".flex-item.boxed-button-container").before(`
                <div class="flex-item">
                    <div class="form-group col-md-12">
                        <label class="control-label" for="name">
                            Categorie
                        </label>
                        <select
                            class="form-control select2-ajax select2-category"
                            name="CategoryId[]"
                        >
                            <option value="">Aucun</option>
                        </select>
                    </div>
                    <div class="form-group col-md-12 product-flex-container select2-product">

                    </div>
                </div>
            `)
            getCategory()
        }

        function getProductByCategory(categoryId){
            $("#voyager-loader").fadeIn();
            return axios.get(`/admin/select/product?categoryId=${categoryId}`).then(function (response) {
                $("#voyager-loader").fadeOut();
                return response.data
            }).catch(function (error) {
                $("#voyager-loader").fadeOut();
                return []
            });
        }

        function getCategory(){
            $("#voyager-loader").fadeIn();
            return axios.get(`/admin/select/category`).then(function (response) {
                $("#voyager-loader").fadeOut();
                let categories = response.data
                let element = $(".select2-category")
                categories.map(el => {
                    element.append(`
                        <option class="category-option-${el.id}" value="${el.id}">${el.text}</option>
                    `)
                })
                element.select2()
            }).catch(function (error) {
                $("#voyager-loader").fadeOut();
                return []
            });
        }

        function deleteHandler(tag, isMulti) {
          return function() {
            $file = $(this).siblings(tag);

            params = {
                slug:   '{{ $dataType->slug }}',
                filename:  $file.data('file-name'),
                id:     $file.data('id'),
                field:  $file.parent().data('field-name'),
                multi: isMulti,
                _token: '{{ csrf_token() }}'
            }

            $('.confirm_delete_name').text(params.filename);
            $('#confirm_delete_modal').modal('show');
          };
        }

        $('document').ready(function () {

            getCategory()

            $(document).on("change", ".select2-category", function(){
                let categoryId = $(this).val()
                // $(`.category-option-${categoryId}`).remove()
                $(".select2-category").select2()
                let futureProducts = getProductByCategory(categoryId)
                let element = $(this).parent().parent().find(".select2-product")
                element.html("")
                futureProducts.then(function (data) {
                    data.map((el, key) => {
                        element.append(`
                            <div class="product-flex-item">
                                <div class="funkyradio">
                                    <div class="funkyradio-success">
                                        <input
                                            type="checkbox"
                                            name="ProductId[]"
                                            value="${el.id}"
                                            id="checkbox-${el.id}"
                                        />
                                        <label
                                            for="checkbox-${el.id}"
                                        >
                                            ${el.text}
                                        </label>
                                    </div>
                                </div>
                            </div>
                        `)
                    })
                })
            });

            $('.toggleswitch').bootstrapToggle();

            //Init datepicker for date fields if data-datepicker attribute defined
            //or if browser does not handle date inputs
            $('.form-group input[type=date]').each(function (idx, elt) {
                if (elt.type != 'date' || elt.hasAttribute('data-datepicker')) {
                    elt.type = 'text';
                    $(elt).datetimepicker($(elt).data('datepicker'));
                }
            });

            @if ($isModelTranslatable)
                $('.side-body').multilingual({"editing": true});
            @endif

            $('.side-body input[data-slug-origin]').each(function(i, el) {
                $(el).slugify();
            });

            $('.form-group').on('click', '.remove-multi-image', deleteHandler('img', true));
            $('.form-group').on('click', '.remove-single-image', deleteHandler('img', false));
            $('.form-group').on('click', '.remove-multi-file', deleteHandler('a', true));
            $('.form-group').on('click', '.remove-single-file', deleteHandler('a', false));

            $('#confirm_delete').on('click', function(){
                $.post('{{ route('voyager.media.remove') }}', params, function (response) {
                    if ( response
                        && response.data
                        && response.data.status
                        && response.data.status == 200 ) {

                        toastr.success(response.data.message);
                        $file.parent().fadeOut(300, function() { $(this).remove(); })
                    } else {
                        toastr.error("Error removing file.");
                    }
                });

                $('#confirm_delete_modal').modal('hide');
            });
            $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
@stop
