@php
    $edit = !is_null($dataTypeContent->getKey());
    $add  = is_null($dataTypeContent->getKey());
@endphp

@extends('voyager::master')

@section('css')
    <meta name="csrf-token" content="{{ csrf_token() }}">
@stop

@section('page_title', __('voyager::generic.'.($edit ? 'edit' : 'add')).' '.$dataType->display_name_singular)

@section('page_header')
    <h1 class="page-title text-uppercase">
        <i class="{{ $dataType->icon }}"></i>
        {{ __('voyager::generic.'.($edit ? 'edit' : 'add')).' '.$dataType->display_name_singular }}
        {{ request()->get('entreprise') ? 'Pour ' . App\Models\Entreprise::find(request()->get('entreprise'))->name : '' }}
    </h1>
    @include('voyager::multilingual.language-selector')
@stop

@section('content')
    <div class="page-content edit-add container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="panel panel-bordered">
                    <!-- form start -->
                    <form role="form"
                            class="form-edit-add"
                            action="{{ $edit ? route('voyager.'.$dataType->slug.'.update', $dataTypeContent->getKey()) : route('voyager.'.$dataType->slug.'.store') }}{{ request()->get('entreprise') ? '?entreprise='.request()->get('entreprise') : '' }}"
                            method="POST" enctype="multipart/form-data">
                        <!-- PUT Method if we are editing -->
                        @if($edit)
                            {{ method_field("PUT") }}
                        @endif

                        <!-- CSRF TOKEN -->
                        {{ csrf_field() }}

                        <div class="panel-body">

                            @if (count($errors) > 0)
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            @endif

                            <!-- Adding / Editing -->
                            @php
                                $dataTypeRows = $dataType->{($edit ? 'editRows' : 'addRows' )};
                            @endphp

                            <div class="form-group col-md-6">
                                <label class="control-label" for="name">Ordre</label>
                                <input
                                    type="number"
                                    class="form-control"
                                    style="width: max-content;"
                                    name="order"
                                    placeholder="Ordre"
                                    value="{{ isset($price) && $price->order < $price->price ? $price->order : 0 }}"
                                />
                            </div>

                            <div class="form-group  col-md-6 ">
                                <label class="control-label" for="name">Afficher avec les suggestions</label>
                                <br>
                                <input
                                    type="checkbox"
                                    name="isRecommended"
                                    @if(isset($price) && $price->isRecommended)
                                        checked
                                    @endif
                                    class="toggleswitch"
                                />
                            </div>

                            <div @if(request()->has('entreprise') && $edit && !$price->isStandard) style="display: none" @endif>
                                @foreach($dataTypeRows as $row)
                                    <!-- GET THE DISPLAY OPTIONS -->
                                    <!-- @php
                                        $display_options = $row->details->display ?? NULL;
                                        if ($dataTypeContent->{$row->field.'_'.($edit ? 'edit' : 'add')}) {
                                            $dataTypeContent->{$row->field} = $dataTypeContent->{$row->field.'_'.($edit ? 'edit' : 'add')};
                                        }
                                    @endphp -->
                                    <!-- @if (isset($row->details->legend) && isset($row->details->legend->text))
                                        <legend class="text-{{ $row->details->legend->align ?? 'center' }}" style="background-color: {{ $row->details->legend->bgcolor ?? '#f0f0f0' }};padding: 5px;">{{ $row->details->legend->text }}</legend>
                                    @endif -->

                                    <div class="form-group @if($row->type == 'hidden') hidden @endif col-md-{{ $display_options->width ?? 12 }} {{ $errors->has($row->field) ? 'has-error' : '' }}" @if(isset($display_options->id)){{ "id=$display_options->id" }}@endif>
                                        <label class="control-label" for="name">{{ $row->display_name }} {{ $row->display_name == 'Image' ? "( la taille d'image doit être 304 * 413 )" : '' }}</label>
                                        
                                        @include('voyager::multilingual.input-hidden-bread-edit-add')
                                        @if (isset($row->details->view))
                                            @include($row->details->view, ['row' => $row, 'dataType' => $dataType, 'dataTypeContent' => $dataTypeContent->description, 'content' => $dataTypeContent->description->{$row->field}, 'action' => ($edit ? 'edit' : 'add')])
                                        @elseif ($row->type == 'relationship')
                                            @include('voyager::formfields.relationship', ['options' => $row->details])
                                        @else
                                            {!! app('voyager')->formField($row, $dataType, $dataTypeContent->description) !!}
                                        @endif

                                        @foreach (app('voyager')->afterFormFields($row, $dataType, $dataTypeContent) as $after)
                                            {!! $after->handle($row, $dataType, $dataTypeContent) !!}
                                        @endforeach
                                        @if ($errors->has($row->field))
                                            @foreach ($errors->get($row->field) as $error)
                                                <span class="help-block">{{ $error }}</span>
                                            @endforeach
                                        @endif
                                    </div>
                                @endforeach
                            </div>

                            <!-- <div class="form-group col-md-12 ">
                                <label class="control-label" for="name">Prix</label>
                                <input
                                    type="number"
                                    class="form-control"
                                    name="price"
                                    required=""
                                    step="any"
                                    placeholder="Prix"
                                    value="{{ isset($price) ? $price->price : null }}"
                                />
                            </div>

                            <div
                                class="form-group col-md-12"
                                @if(request()->has('entreprise') && $edit && !$price->isStandard) style="display: none" @endif
                            >
                                <label class="control-label" for="name">Prix promotionnel</label>
                                <input
                                    type="number"
                                    class="form-control"
                                    name="promoPrice"
                                    placeholder="Prix promotionnel"
                                    step="any"
                                    value="{{ isset($price) && $price->promoPrice < $price->price ? $price->promoPrice : null }}"
                                />
                            </div> -->


                            @if(!$edit)
                                <div class="ml-5 col-md-12" id="variant-selector" style="margin-left: 5px;">
                                    <button class="btn btn-primary col-md-2" id="add-variant" type="button">Ajouter variante</button>
                                    <div class="col-md-10">
                                        <div class="form-group col-md-3">
                                            <input type="checkbox" id="couleur" name="couleur">
                                            <label for="couleur">Couleur</label>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <input type="checkbox" id="size" name="size">
                                            <label for="size">Size</label>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <input type="checkbox" id="age" name="age">
                                            <label for="age">Age</label>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <input type="checkbox" id="modelNumber" name="modelNumber">
                                            <label for="modelNumber">Model Number</label>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <input type="checkbox" id="barCode" name="barCode">
                                            <label for="barCode">Bar code</label>
                                        </div>
                                    </div>
                                </div>
                            @endif
                            
                            
                            <div class="col-md-12">
                                <table id="customers" class="variant-table">
                                    <thead>
                                        <tr>
                                            <th>Nom du variante</th>
                                            <th>Image</th>
                                            <th>Prix</th>
                                            <th>Prix promotionnel</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (isset($dataTypeContent->details) && $edit)
                                            @php
                                                $variantData = $dataTypeContent->details;
                                            @endphp
                                            <tr>
                                                <td>
                                                    @foreach($variantData as $detail)
                                                        <div class="form-group">
                                                            @if($detail->tag == "color")
                                                                <input
                                                                    type="text"
                                                                    class="form-control"
                                                                    style="width: max-content;"
                                                                    name="color"
                                                                    placeholder="coleur du Variante"
                                                                    value="{{ $detail->pivot->value }}"
                                                                />
                                                            @endif
                                                            
                                                            @if($detail->tag == "size")
                                                                <input
                                                                    type="text"
                                                                    class="form-control"
                                                                    style="width: max-content;"
                                                                    name="size"
                                                                    placeholder="Size du Variante"
                                                                    value="{{   $detail->pivot->value }}"
                                                                />
                                                            @endif
                                                            
                                                            @if($detail->tag == "age")
                                                                <input
                                                                    type="text"
                                                                    class="form-control"
                                                                    style="width: max-content;"
                                                                    name="age"
                                                                    placeholder="age du Variante"
                                                                    value="{{   $detail->pivot->value }}"
                                                                />
                                                            @endif
                                                            
                                                        </div>
                                                    @endforeach
                                                        
                                                    
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <input
                                                            type="file"
                                                            class="form-control"
                                                            style="width: max-content;"
                                                            name="variantImage"
                                                            accept="image/*"
                                                            placeholder="image du Variante"
                                                            value=""
                                                        />
                                                    </div>
                                                </td>
                                                
                                                <td>
                                                    <div class="form-group">
                                                        <input
                                                            type="number"
                                                            class="form-control"
                                                            name="price"
                                                            placeholder="Prix du variante"
                                                            step="any"
                                                            value="{{ isset($price) ? $price->price : '' }}"
                                                        />
                                                    </div>
                                                </td>
                        
                                                <td>
                                                    <div class="form-group">
                                                        <input
                                                            type="number"
                                                            class="form-control"
                                                            name="promoPrice"
                                                            placeholder="Prix promotionnel du variante"
                                                            step="any"
                                                            value="{{ isset($price) && $price->promoPrice < $price->price ? $price->promoPrice : '' }}"
                                                        />
                                                    </div>
                                                </td>
                                            </tr>
                                        @endif
                                    </tbody>
                                </table>
                            </div>
                        </div><!-- panel-body -->
                        <div class="panel-footer">
                            @section('submit-buttons')
                                <button type="submit" class="btn btn-primary save">{{ __('voyager::generic.save') }}</button>
                            @stop
                            @yield('submit-buttons')
                        </div>
                    </form>

                    <iframe id="form_target" name="form_target" style="display:none"></iframe>
                    <form id="my_form" action="{{ route('voyager.upload') }}" target="form_target" method="post"
                            enctype="multipart/form-data" style="width:0;height:0;overflow:hidden">
                        <input name="image" id="upload_file" type="file"
                                 onchange="$('#my_form').submit();this.value='';">
                        <input type="hidden" name="type_slug" id="type_slug" value="{{ $dataType->slug }}">
                        {{ csrf_field() }}
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-danger" id="confirm_delete_modal">
        <div class="modal-dialog">
            <div class="modal-content">

                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><i class="voyager-warning"></i> {{ __('voyager::generic.are_you_sure') }}</h4>
                </div>

                <div class="modal-body">
                    <h4>{{ __('voyager::generic.are_you_sure_delete') }} '<span class="confirm_delete_name"></span>'</h4>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">{{ __('voyager::generic.cancel') }}</button>
                    <button type="button" class="btn btn-danger" id="confirm_delete">{{ __('voyager::generic.delete_confirm') }}</button>
                </div>
            </div>
        </div>
    </div>
    <!-- End Delete File Modal -->
@stop

@section('javascript')
    <script>
        $("#add-variant").prop('disabled', true)
        var isColorChecked = $('#couleur').is(':checked');
        var isSizeChecked = $('#size').is(':checked');
        var isAgeChecked = $('#age').is(':checked');
        var isModelNumberChecked = $('#modelNumber').is(':checked');
        var isBarCodeChecked = $('#barCode').is(':checked');
        $('#couleur').change(function () {
            console.log('color ',isColorChecked)
            isColorChecked = $('#couleur').is(':checked');
            if(isColorChecked)$("#add-variant").prop('disabled', false)
            if(!isColorChecked && !isSizeChecked && !isAgeChecked)$("#add-variant").prop('disabled', true)
        });
        $('#size').change(function () {
            isSizeChecked = $('#size').is(':checked');
            if(isSizeChecked)$("#add-variant").prop('disabled', false)
            if(!isColorChecked && !isSizeChecked && !isAgeChecked)$("#add-variant").prop('disabled', true)

        });
        $('#age').change(function () {
            isAgeChecked = $('#age').is(':checked');
            if(isAgeChecked)$("#add-variant").prop('disabled', false)
            if(!isColorChecked && !isSizeChecked && !isAgeChecked && !isModelNumberChecked && !isBarCodeChecked)$("#add-variant").prop('disabled', true)
        });
        $('#modelNumber').change(function () {
            isModelNumberChecked = $('#modelNumber').is(':checked');
            if(isModelNumberChecked)$("#add-variant").prop('disabled', false)
            if(!isColorChecked && !isSizeChecked && !isAgeChecked && !isModelNumberChecked && !isBarCodeChecked)$("#add-variant").prop('disabled', true)
        });
        $('#barCode').change(function () {
            isBarCodeChecked = $('#barCode').is(':checked');
            if(isBarCodeChecked)$("#add-variant").prop('disabled', false)
            if(!isColorChecked && !isSizeChecked && !isAgeChecked && !isModelNumberChecked && !isBarCodeChecked)$("#add-variant").prop('disabled', true)
        });
        //$("#variantInputs").hide()
        // var i = 0;
        let oldVariantsCounter = 0


        $('#add-variant').click(function(){

            let variantsCounter = 0
            
            // let variantName =  document.getElementById("variantName")

            let checkboxElements = document.querySelectorAll('#variant-selector input[type=checkbox]')
            for (let index = 0; index < checkboxElements.length; index++) {
                const element = checkboxElements[index];
                if ($(element).is(':checked')) variantsCounter++
            }
                
            // if(i == 0){
            //     $("#variantInputs").show()
            //     document.getElementById(variantName.id).appendChild(document.getElementById("nameInput"))
            //     // document.getElementById("variantName").appendChild(document.getElementById("variantColor"))
            //     addTypes()
            //     i++;

            // }else{
                let variantNamesHtml = ""
                let isColor = $('#couleur').is(':checked');
                let isSize = $('#size').is(':checked');
                let isAge = $('#age').is(':checked');
                let isModelNumber = $('#modelNumber').is(':checked');
                let isBarCode = $('#barCode').is(':checked');
                let variantName =  document.getElementById("variantName")
                if(isColor){
                    variantNamesHtml += `
                        <div class="form-group" id="variantColor">
                            <input
                                type="text"
                                class="form-control"
                                style="width: max-content;"
                                name="color[]"
                                placeholder="coleur du Variante"
                                value="{{ isset($price) && $price->order < $price->price ? $price->order : '' }}"
                            />
                        </div>
                    `
                }
                if(isSize){
                    variantNamesHtml += `
                        <div class="form-group" id="variantSize">
                            <input
                                type="text"
                                class="form-control"
                                style="width: max-content;"
                                name="size[]"
                                placeholder="size du Variante"
                                value="{{ isset($price) && $price->order < $price->price ? $price->order : '' }}"
                            />
                        </div>
                    `

                }
                if(isAge){
                    variantNamesHtml += `
                        <div class="form-group" id="variantAge">
                            <input
                                type="text"
                                class="form-control"
                                style="width: max-content;"
                                name="age[]"
                                placeholder="age du Variante"
                                value="{{ isset($price) && $price->order < $price->price ? $price->order : '' }}"
                            />
                        </div>
                    `
                }
                if(isModelNumber){
                    variantNamesHtml += `
                        <div class="form-group" id="variantAge">
                            <input
                                type="text"
                                class="form-control"
                                style="width: max-content;"
                                name="modelNumber[]"
                                placeholder="model number"
                                value="{{ isset($price) && $price->order < $price->price ? $price->order : '' }}"
                            />
                        </div>
                    `
                }
                if(isBarCode){
                    variantNamesHtml += `
                        <div class="form-group" id="variantAge">
                            <input
                                type="text"
                                class="form-control"
                                style="width: max-content;"
                                name="barCode[]"
                                placeholder="Bar code"
                                value="{{ isset($price) && $price->order < $price->price ? $price->order : '' }}"
                            />
                        </div>
                    `
                }

                console.log("oldVariantsCounter", oldVariantsCounter)
                console.log("variantsCounter", variantsCounter)

                if (variantsCounter != oldVariantsCounter) $("#customers tbody tr").remove()

                $("#customers tbody").html(`${variantsCounter == oldVariantsCounter ? $("#customers tbody").html() : ''}
                    <tr>
                        <td>
                            ${variantNamesHtml}
                        </td>
                        <td>
                            <div class="form-group" id="variantImage">
                                <input
                                    type="file"
                                    class="form-control"
                                    style="width: max-content;"
                                    name="variantImage[]"
                                    placeholder="image du Variante"
                                    value=""
                                />
                            </div>
                        </td>
                        <td>
                            <div class="form-group">
                                <input
                                    type="number"
                                    class="form-control"
                                    name="variantPrice[]"
                                    placeholder="Prix du variante"
                                    step="any"
                                    value="{{ isset($price) && $price->promoPrice < $price->price ? $price->promoPrice : null }}"
                                />
                            </div>
                        </td>

                        <td>
                            <div class="form-group">
                                <input
                                    type="number"
                                    class="form-control"
                                    name="variantPromoPrice[]"
                                    placeholder="Prix promotionnel du variante"
                                    step="any"
                                    value="{{ isset($price) && $price->promoPrice < $price->price ? $price->promoPrice : null }}"
                                />
                            </div>
                        </td>
                    </tr>
                `)

                oldVariantsCounter = variantsCounter

                // var row = document.getElementById("variantInputs"); // find row to copy
                // var table = document.getElementById("customers"); // find table to append to
                // var clone = row.cloneNode(true); // copy children too
                // clone.id = `variantInputs-${i}`; // change id or other attributes/contents
                // table.appendChild(clone);
                
                // let variantName =  document.getElementById("variantName")
                // let varinput = variantName.cloneNode(false)
                // // variantName.id = `${variantName.id}-${i}`
                // let test = document.getElementById(`variantInputs-${i}`)
                // console.log('variantName',variantName)

                // document.getElementById(variantName.id).appendChild(document.getElementById("nameInput"))

                // addTypes()
                // // console.log('check val', $('#couleur').is(':checked'))
                // // document.getElementById(variantName.id).appendChild(document.getElementById("variantColor"))
                // i++;

            // }
            
            // i++;

        });

        var params = {};
        var $file;

        function deleteHandler(tag, isMulti) {
          return function() {
            $file = $(this).siblings(tag);

            params = {
                slug:   '{{ $dataType->slug }}',
                filename:  $file.data('file-name'),
                id:     $file.data('id'),
                field:  $file.parent().data('field-name'),
                multi: isMulti,
                _token: '{{ csrf_token() }}'
            }

            $('.confirm_delete_name').text(params.filename);
            $('#confirm_delete_modal').modal('show');
          };
        }

        $('document').ready(function () {
            $('.toggleswitch').bootstrapToggle();

            //Init datepicker for date fields if data-datepicker attribute defined
            //or if browser does not handle date inputs
            $('.form-group input[type=date]').each(function (idx, elt) {
                if (elt.type != 'date' || elt.hasAttribute('data-datepicker')) {
                    elt.type = 'text';
                    $(elt).datetimepicker($(elt).data('datepicker'));
                }
            });

            @if ($isModelTranslatable)
                $('.side-body').multilingual({"editing": true});
            @endif

            $('.side-body input[data-slug-origin]').each(function(i, el) {
                $(el).slugify();
            });

            $('.form-group').on('click', '.remove-multi-image', deleteHandler('img', true));
            $('.form-group').on('click', '.remove-single-image', deleteHandler('img', false));
            $('.form-group').on('click', '.remove-multi-file', deleteHandler('a', true));
            $('.form-group').on('click', '.remove-single-file', deleteHandler('a', false));

            $('#confirm_delete').on('click', function(){
                $.post('{{ route('voyager.media.remove') }}', params, function (response) {
                    if ( response
                        && response.data
                        && response.data.status
                        && response.data.status == 200 ) {

                        toastr.success(response.data.message);
                        $file.parent().fadeOut(300, function() { $(this).remove(); })
                    } else {
                        toastr.error("Error removing file.");
                    }
                });

                $('#confirm_delete_modal').modal('hide');
            });
            $('[data-toggle="tooltip"]').tooltip();
        });
    </script>
@stop

<style>
    #customers {
        font-family: Arial, Helvetica, sans-serif;
        border-collapse: collapse;
        width: 100%;
    }
    #customers td, #customers th {
        border: 1px solid #ddd;
        padding: 8px;
    }
    #customers th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: #d1d1e0;
        color: white;
    }
</style>