@extends('voyager::master')

@section('css')
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="stylesheet" href="https://unpkg.com/tableexport/dist/css/tableexport.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.css">
    <style>
        .el-container{
            padding: 2rem 4rem;
            margin: 3rem auto;
            max-width: 140rem;
        }
        input{
            padding: 1rem 0rem 2.5rem 1rem !important;
        }
    </style>
@stop

@section('page_title', 'L\'exportation des rapports')

@section('page_header')
    <h1 style="margin: 0 40px" class="page-title">
        <i class="icon voyager-photo"></i>
        Gestion des sliders
    </h1>
    
    <button style="float: right; margin-right: 4rem; margin-top: 5rem;" type="button" class="btn btn-outline-dark">
        <a href="{{ route("voyager_slider_reset") }}">Reset</a>
    </button>


    <div class="el-container">
        <h3>Slider Section</h3>
        <div>
            <form enctype="multipart/form-data" id="form-input-1" method="POST" action="{{route("voyager_slider_update")}}" class="mb-3">
                @csrf
                <label for="formFile" class="form-label">Mobile</label>
                <input style="display: none" name="imagekey" value="mobile-slider">
                <input class="form-control" type="file" name="image" onchange="loadForm(1)">
            </form>
            <form enctype="multipart/form-data" id="form-input-2" method="POST" action="{{route("voyager_slider_update")}}" class="mb-3">
                @csrf
                <label for="formFile" class="form-label">Desktop</label>
                <input style="display: none" name="imagekey" value="desktop-slider">
                <input class="form-control" type="file" name="image" onchange="loadForm(2)">
            </form>

            <div style="display: flex; flex-direction: column; align-items: self-start; gap: 0.5rem; margin-bottom: 3rem; margin-top: 0.5rem;">
                <label class="form-label">Content</label>
                <form style="display: flex; flex-direction: row; align-items: center; gap: 1rem" method="POST" action="{{route("voyager_text_toggle")}}" >
                    @csrf
                    <input style="display: none" name="key" value="sliderPercent">
                    <input name="value" type="text" class="form-control mb-2"  placeholder="{{$content->sliderPercent}}">
                    <button type="submit" class="btn btn-primary mb-2">Submit</button>
                </form>

                <label for="formFile" class="form-label">Display</label>
                @if($content->showSliderContent)
                    <a href="/admin/sliders/text/showSliderContent/false" class="btn btn-sm btn-success">
                        <i class="voyager-eye"></i> <span class="hidden-xs hidden-sm">Cacher</span>
                    </a>
                @else
                    <a href="/admin/sliders/text/showSliderContent/true" class="btn btn-sm btn-default">
                        <i class="voyager-x"></i> <span class="hidden-xs hidden-sm">Afficher</span>
                    </a>
                @endif
            </div>
        </div>

        
        <h3 style="margin-top: 2rem">Parrallax Section</h3>
        <div>
            <form enctype="multipart/form-data" id="form-input-3" method="POST" action="{{route("voyager_slider_update")}}" class="mb-3">
                @csrf
                <label for="formFile" class="form-label">Mobile</label>
                <input style="display: none" name="imagekey" value="mobile-parrallax">
                <input class="form-control" type="file" name="image" onchange="loadForm(3)">
            </form>
            <form enctype="multipart/form-data" id="form-input-4" method="POST" action="{{route("voyager_slider_update")}}" class="mb-3">
                @csrf
                <label for="formFile" class="form-label">Desktop</label>
                <input style="display: none" name="imagekey" value="desktop-parrallax">
                <input class="form-control" type="file" name="image" onchange="loadForm(4)">
            </form>

            <div style="display: flex; flex-direction: column; align-items: self-start; gap: 0.5rem; margin-bottom: 3rem; margin-top: 0.5rem;">
                <label for="formFile" class="form-label">Content</label>
                <form style="display: flex; flex-direction: row; align-items: center; gap: 1rem" method="POST" action="{{route("voyager_text_toggle")}}">
                    @csrf
                    <input style="display: none" name="key" value="parrallaxContent">
                    <input name="value" type="text" class="form-control mb-2" id="inlineFormInput" placeholder="{{$content->parrallaxContent}}">
                    <button type="submit" class="btn btn-primary mb-2">Submit</button>
                </form>

                <label for="formFile" class="form-label">Link</label>
                <form style="display: flex; flex-direction: row; align-items: center; gap: 1rem; width: 500px;" method="POST" action="{{route("voyager_text_toggle")}}">
                    @csrf
                    <input style="display: none" name="key" value="parrallaxLink">
                    <input name="value" type="text" class="form-control mb-2" placeholder="{{$content->parrallaxLink}}">
                    <button type="submit" class="btn btn-primary mb-2">Submit</button>
                </form>

                <label class="form-label">Display</label>
                @if($content->showParrallaxContent)
                    <a href="/admin/sliders/text/showParrallaxContent/false" class="btn btn-sm btn-success">
                        <i class="voyager-eye"></i> <span class="hidden-xs hidden-sm">Cacher</span>
                    </a>
                @else
                    <a href="/admin/sliders/text/showParrallaxContent/true" class="btn btn-sm btn-default">
                        <i class="voyager-x"></i> <span class="hidden-xs hidden-sm">Afficher</span>
                    </a>
                @endif
            </div>
        </div>
        
        
        <h3 style="margin-top: 2rem">Sidebar Section</h3>
        <div>
            <form enctype="multipart/form-data" id="form-input-5" method="POST" action="{{route("voyager_slider_update")}}" class="mb-3">
                @csrf
                <label for="formFile" class="form-label">Première</label>
                <input style="display: none" name="imagekey" value="sidesar-one">
                <input class="form-control" type="file" name="image" onchange="loadForm(5)">
            </form>
            <form enctype="multipart/form-data" id="form-input-6" method="POST" action="{{route("voyager_slider_update")}}" class="mb-3">
                @csrf
                <label for="formFile" class="form-label">Deuxième</label>
                <input style="display: none" name="imagekey" value="sidesar-two">
                <input class="form-control" type="file" name="image" onchange="loadForm(6)">
            </form>
        </div>
        
    </div>
@stop

@section('javascript')
    
    <script>
        function loadForm(index){
            let formId = `#form-input-${index}`
            $("#voyager-loader").fadeIn();
            $(formId).submit();
        }

    </script>
    
@stop