@extends('voyager::master')

@section('css')
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="stylesheet" href="https://unpkg.com/tableexport/dist/css/tableexport.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.css">
    <style>
        .selected-magasin{
            background-color: #c4c4c445 !important;
            border-radius: 20px !important;
            border: 5px solid white !important;
            box-sizing: border-box !important;
        }
        .padding-card{
            padding-bottom: 30px !important;
        }
        .deleteForm, .container-rl-btn{
            display: flex !important;
            align-items: center !important;
            gap: 1rem !important;
        }
        .centralClass{
            color: #E62225 !important;
            margin-bottom: 4rem;
        }
        .voyager .card {
            min-height: 262px !important;
        }
        .redColor{
            color: #E62225 !important;
        }
    </style>
@stop

@section('page_title', 'L\'exportation des rapports')

@section('page_header')
    <h1 style="margin: 0 40px" class="page-title">
        <i class="icon voyager-data"></i>
        Gestion du stock
    </h1>
    
    <!--Stock IN-->
    <div style="margin-left: 6px" class="row">
        <div style="margin-bottom: 20px; padding-left: 15px" class="col-12">
            <h3 style="display: flex; gap: 5px;">
                <svg width="25" height="25" fill="currentColor" class="bi bi-basket" viewBox="0 0 16 16"><path d="M5.757 1.071a.5.5 0 0 1 .172.686L3.383 6h9.234L10.07 1.757a.5.5 0 1 1 .858-.514L13.783 6H15a1 1 0 0 1 1 1v1a1 1 0 0 1-1 1v4.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 13.5V9a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h1.217L5.07 1.243a.5.5 0 0 1 .686-.172zM2 9v4.5A1.5 1.5 0 0 0 3.5 15h9a1.5 1.5 0 0 0 1.5-1.5V9H2zM1 7v1h14V7H1zm3 3a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 4 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 6 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 8 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 1 .5-.5zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 1 .5-.5z"/></svg>                
                <span style="margin-left: 6px; margin-top: 1px">Stock In : <i style="font-size: 18px">Le derniére changement {{ $lastUpdates->in }}</i></span>
            </h3>
        </div>
        @foreach ($stores as $store)
            <div class="col-sm-6 col-lg-4">
                <div class="{{ $store->id == $selectedStores->in ? 'selected-magasin card' : 'card' }}">
                <div class="{{ $store->id == $selectedStores->in ? 'card-body padding-card' : 'card-body' }}" class="card-body">
                    <h4 class="{{ $loop->index == 0 ? 'card-title centralClass' : 'card-title'}}">
                        @if ($loop->index == 0)
                            <svg width="18" height="18" fill="currentColor" class="bi bi-shop-window" viewBox="0 0 16 16"><path d="M2.97 1.35A1 1 0 0 1 3.73 1h8.54a1 1 0 0 1 .76.35l2.609 3.044A1.5 1.5 0 0 1 16 5.37v.255a2.375 2.375 0 0 1-4.25 1.458A2.371 2.371 0 0 1 9.875 8 2.37 2.37 0 0 1 8 7.083 2.37 2.37 0 0 1 6.125 8a2.37 2.37 0 0 1-1.875-.917A2.375 2.375 0 0 1 0 5.625V5.37a1.5 1.5 0 0 1 .361-.976l2.61-3.045zm1.78 4.275a1.375 1.375 0 0 0 2.75 0 .5.5 0 0 1 1 0 1.375 1.375 0 0 0 2.75 0 .5.5 0 0 1 1 0 1.375 1.375 0 1 0 2.75 0V5.37a.5.5 0 0 0-.12-.325L12.27 2H3.73L1.12 5.045A.5.5 0 0 0 1 5.37v.255a1.375 1.375 0 0 0 2.75 0 .5.5 0 0 1 1 0zM1.5 8.5A.5.5 0 0 1 2 9v6h12V9a.5.5 0 0 1 1 0v6h.5a.5.5 0 0 1 0 1H.5a.5.5 0 0 1 0-1H1V9a.5.5 0 0 1 .5-.5zm2 .5a.5.5 0 0 1 .5.5V13h8V9.5a.5.5 0 0 1 1 0V13a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V9.5a.5.5 0 0 1 .5-.5z"/></svg>                        
                        @endif
                        {{ $store->intitule }}
                    </h4>
                    @if (isset($store->tel))
                        <p style="display: flex !important; gap: 5px; margin-bottom: 1rem; align-items: center; font-size: 11px; font-weight: 400;" class="card-text">
                            <svg width="12px" height="10px" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-map-pin h-3 w-3"><path data-v-585f8495="" d="M21 10c0 7-9 13-9 13s-9-6-9-13a9 9 0 0 1 18 0z"></path><circle data-v-585f8495="" cx="12" cy="10" r="3"></circle></svg>
                            {{ $store->city_name }}
                        </p>
                    @endif
                    @if (isset($store->tel))
                        <p style="display: flex !important; gap: 5px; align-items: center;" class="card-text">
                            <svg width="18px" height="18px" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone h-4 w-4"><path data-v-585f8495="" d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>
                            {{ $store->tel }}
                        </p>
                    @endif
                    @if (isset($store->currency_tag))
                        <p style="display: flex !important; gap: 5px; align-items: center;" class="card-text">
                            <svg width="18px" height="18px" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-box h-4 w-4"><path data-v-585f8495="" d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline data-v-585f8495="" points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line data-v-585f8495="" x1="12" y1="22.08" x2="12" y2="12"></line></svg>
                            {{ $store->currency_tag }}
                        </p>
                    @endif
                    @if ($store->id == $selectedStores->in)
                        <svg style="margin-top: 20px;" width="30" height="30" fill="currentColor" class="bi bi-database-check" viewBox="0 0 16 16"><path d="M12.5 16a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7Zm1.679-4.493-1.335 2.226a.75.75 0 0 1-1.174.144l-.774-.773a.5.5 0 0 1 .708-.708l.547.548 1.17-1.951a.5.5 0 1 1 .858.514Z"/><path d="M12.096 6.223A4.92 4.92 0 0 0 13 5.698V7c0 .289-.213.654-.753 1.007a4.493 4.493 0 0 1 1.753.25V4c0-1.007-.875-1.755-1.904-2.223C11.022 1.289 9.573 1 8 1s-3.022.289-4.096.777C2.875 2.245 2 2.993 2 4v9c0 1.007.875 1.755 1.904 2.223C4.978 15.71 6.427 16 8 16c.536 0 1.058-.034 1.555-.097a4.525 4.525 0 0 1-.813-.927C8.5 14.992 8.252 15 8 15c-1.464 0-2.766-.27-3.682-.687C3.356 13.875 3 13.373 3 13v-1.302c.271.202.58.378.904.525C4.978 12.71 6.427 13 8 13h.027a4.552 4.552 0 0 1 0-1H8c-1.464 0-2.766-.27-3.682-.687C3.356 10.875 3 10.373 3 10V8.698c.271.202.58.378.904.525C4.978 9.71 6.427 10 8 10c.262 0 .52-.008.774-.024a4.525 4.525 0 0 1 1.102-1.132C9.298 8.944 8.666 9 8 9c-1.464 0-2.766-.27-3.682-.687C3.356 7.875 3 7.373 3 7V5.698c.271.202.58.378.904.525C4.978 6.711 6.427 7 8 7s3.022-.289 4.096-.777ZM3 4c0-.374.356-.875 1.318-1.313C5.234 2.271 6.536 2 8 2s2.766.27 3.682.687C12.644 3.125 13 3.627 13 4c0 .374-.356.875-1.318 1.313C10.766 5.729 9.464 6 8 6s-2.766-.27-3.682-.687C3.356 4.875 3 4.373 3 4Z"/></svg>
                    @else
                        <form id="stockFrom-{{ $store->id }}-in" method="POST" action="{{route("set_stock_magasin_route")}}">
                            @csrf
                            <input class="form-control" style="max-width: 350px" type="password" name="authPassword" placeholder="Entrez votre mot de passe">
                            <input style="display: none" name="settingKey" value="{{ $settingKeys->in }}">
                            <input style="display: none" name="settingValue" value="{{ $store->id }}">
                            <button type="button" id="stockBtn-{{ $store->id }}-in" onclick="setMagasinStock({{ $store->id }}, 'in')" class="btn btn-primary">
                                Sélectionner
                            </button>
                        </form>
                    @endif
                </div>
                </div>
            </div>
        @endforeach
    </div>
    
    
    <!--Stock OUT-->
    <div style="margin-left: 6px; margin-top: 5rem" class="row">
        <div style="margin-bottom: 20px; padding-left: 15px" class="col-12">
            <h3 style="display: flex; gap: 5px;">
                <svg width="25" height="25" fill="currentColor" class="bi bi-bag-dash" viewBox="0 0 16 16"><path fill-rule="evenodd" d="M5.5 10a.5.5 0 0 1 .5-.5h4a.5.5 0 0 1 0 1H6a.5.5 0 0 1-.5-.5z"/><path d="M8 1a2.5 2.5 0 0 1 2.5 2.5V4h-5v-.5A2.5 2.5 0 0 1 8 1zm3.5 3v-.5a3.5 3.5 0 1 0-7 0V4H1v10a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V4h-3.5zM2 5h12v9a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V5z"/></svg>                
                <span style="margin-left: 6px; margin-top: 1px">Stock Out : <i style="font-size: 18px">Le derniére changement {{ $lastUpdates->out }}</i></span>
            </h3>
        </div>
        @foreach ($stores as $store)
            <div class="col-sm-6 col-lg-4">
                <div class="{{ $store->id == $selectedStores->out ? 'selected-magasin card' : 'card' }}">
                <div class="{{ $store->id == $selectedStores->out ? 'card-body padding-card' : 'card-body' }}" class="card-body">
                    <h4 class="{{ $loop->index == 0 ? 'card-title centralClass' : 'card-title'}}">
                        @if ($loop->index == 0)
                            <svg width="18" height="18" fill="currentColor" class="bi bi-shop-window" viewBox="0 0 16 16"><path d="M2.97 1.35A1 1 0 0 1 3.73 1h8.54a1 1 0 0 1 .76.35l2.609 3.044A1.5 1.5 0 0 1 16 5.37v.255a2.375 2.375 0 0 1-4.25 1.458A2.371 2.371 0 0 1 9.875 8 2.37 2.37 0 0 1 8 7.083 2.37 2.37 0 0 1 6.125 8a2.37 2.37 0 0 1-1.875-.917A2.375 2.375 0 0 1 0 5.625V5.37a1.5 1.5 0 0 1 .361-.976l2.61-3.045zm1.78 4.275a1.375 1.375 0 0 0 2.75 0 .5.5 0 0 1 1 0 1.375 1.375 0 0 0 2.75 0 .5.5 0 0 1 1 0 1.375 1.375 0 1 0 2.75 0V5.37a.5.5 0 0 0-.12-.325L12.27 2H3.73L1.12 5.045A.5.5 0 0 0 1 5.37v.255a1.375 1.375 0 0 0 2.75 0 .5.5 0 0 1 1 0zM1.5 8.5A.5.5 0 0 1 2 9v6h12V9a.5.5 0 0 1 1 0v6h.5a.5.5 0 0 1 0 1H.5a.5.5 0 0 1 0-1H1V9a.5.5 0 0 1 .5-.5zm2 .5a.5.5 0 0 1 .5.5V13h8V9.5a.5.5 0 0 1 1 0V13a1 1 0 0 1-1 1H4a1 1 0 0 1-1-1V9.5a.5.5 0 0 1 .5-.5z"/></svg>                        
                        @endif
                        {{ $store->intitule }}
                    </h4>              
                    </h4>
                    @if (isset($store->tel))
                        <p style="display: flex !important; gap: 5px; margin-bottom: 1rem; align-items: center; font-size: 11px; font-weight: 400;" class="card-text">
                            <svg width="12px" height="10px" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-map-pin h-3 w-3"><path data-v-585f8495="" d="M21 10c0 7-9 13-9 13s-9-6-9-13a9 9 0 0 1 18 0z"></path><circle data-v-585f8495="" cx="12" cy="10" r="3"></circle></svg>
                            {{ $store->city_name }}
                        </p>
                    @endif
                    @if (isset($store->tel))
                        <p style="display: flex !important; gap: 5px; align-items: center;" class="card-text">
                            <svg width="18px" height="18px" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-phone h-4 w-4"><path data-v-585f8495="" d="M22 16.92v3a2 2 0 0 1-2.18 2 19.79 19.79 0 0 1-8.63-3.07 19.5 19.5 0 0 1-6-6 19.79 19.79 0 0 1-3.07-8.67A2 2 0 0 1 4.11 2h3a2 2 0 0 1 2 1.72 12.84 12.84 0 0 0 .7 2.81 2 2 0 0 1-.45 2.11L8.09 9.91a16 16 0 0 0 6 6l1.27-1.27a2 2 0 0 1 2.11-.45 12.84 12.84 0 0 0 2.81.7A2 2 0 0 1 22 16.92z"></path></svg>
                            {{ $store->tel }}
                        </p>
                    @endif
                    @if (isset($store->currency_tag))
                        <p style="display: flex !important; gap: 5px; align-items: center;" class="card-text">
                            <svg width="18px" height="18px" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-box h-4 w-4"><path data-v-585f8495="" d="M21 16V8a2 2 0 0 0-1-1.73l-7-4a2 2 0 0 0-2 0l-7 4A2 2 0 0 0 3 8v8a2 2 0 0 0 1 1.73l7 4a2 2 0 0 0 2 0l7-4A2 2 0 0 0 21 16z"></path><polyline data-v-585f8495="" points="3.27 6.96 12 12.01 20.73 6.96"></polyline><line data-v-585f8495="" x1="12" y1="22.08" x2="12" y2="12"></line></svg>
                            {{ $store->currency_tag }}
                        </p>
                    @endif
                    @if ($store->id == $selectedStores->out)
                        <svg style="margin-top: 20px;" width="30" height="30" fill="currentColor" class="bi bi-database-check" viewBox="0 0 16 16"><path d="M12.5 16a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7Zm1.679-4.493-1.335 2.226a.75.75 0 0 1-1.174.144l-.774-.773a.5.5 0 0 1 .708-.708l.547.548 1.17-1.951a.5.5 0 1 1 .858.514Z"/><path d="M12.096 6.223A4.92 4.92 0 0 0 13 5.698V7c0 .289-.213.654-.753 1.007a4.493 4.493 0 0 1 1.753.25V4c0-1.007-.875-1.755-1.904-2.223C11.022 1.289 9.573 1 8 1s-3.022.289-4.096.777C2.875 2.245 2 2.993 2 4v9c0 1.007.875 1.755 1.904 2.223C4.978 15.71 6.427 16 8 16c.536 0 1.058-.034 1.555-.097a4.525 4.525 0 0 1-.813-.927C8.5 14.992 8.252 15 8 15c-1.464 0-2.766-.27-3.682-.687C3.356 13.875 3 13.373 3 13v-1.302c.271.202.58.378.904.525C4.978 12.71 6.427 13 8 13h.027a4.552 4.552 0 0 1 0-1H8c-1.464 0-2.766-.27-3.682-.687C3.356 10.875 3 10.373 3 10V8.698c.271.202.58.378.904.525C4.978 9.71 6.427 10 8 10c.262 0 .52-.008.774-.024a4.525 4.525 0 0 1 1.102-1.132C9.298 8.944 8.666 9 8 9c-1.464 0-2.766-.27-3.682-.687C3.356 7.875 3 7.373 3 7V5.698c.271.202.58.378.904.525C4.978 6.711 6.427 7 8 7s3.022-.289 4.096-.777ZM3 4c0-.374.356-.875 1.318-1.313C5.234 2.271 6.536 2 8 2s2.766.27 3.682.687C12.644 3.125 13 3.627 13 4c0 .374-.356.875-1.318 1.313C10.766 5.729 9.464 6 8 6s-2.766-.27-3.682-.687C3.356 4.875 3 4.373 3 4Z"/></svg>
                    @else
                        <form id="stockFrom-{{ $store->id }}-out" method="POST" action="{{route("set_stock_magasin_route")}}">
                            @csrf
                            <input class="form-control" style="max-width: 350px" type="password" name="authPassword" placeholder="Entrez votre mot de passe">
                            <input style="display: none" name="settingKey" value="{{ $settingKeys->out }}">
                            <input style="display: none" name="settingValue" value="{{ $store->id }}">
                            <button type="button" id="stockBtn-{{ $store->id }}-out" onclick="setMagasinStock({{ $store->id }}, 'out')" class="btn btn-primary">
                                Sélectionner
                            </button>
                        </form>             
                    @endif
                </div>
                </div>
            </div>
        @endforeach
    </div>


    <!-- Add Stock Relation-->
    <div style="margin-left: 6px; margin-top: 5rem" class="row">
        <form id="relationFrom" method="POST" action="{{route("set_stock_relation_route")}}">
            @csrf
            <div style="margin-bottom: 20px; padding-left: 15px" class="col-12">
                <h3 style="display: flex; gap: 5px;">
                    <svg width="25" height="25" fill="currentColor" class="bi bi-database-fill-add" viewBox="0 0 16 16"><path d="M12.5 16a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7Zm.5-5v1h1a.5.5 0 0 1 0 1h-1v1a.5.5 0 0 1-1 0v-1h-1a.5.5 0 0 1 0-1h1v-1a.5.5 0 0 1 1 0ZM8 1c-1.573 0-3.022.289-4.096.777C2.875 2.245 2 2.993 2 4s.875 1.755 1.904 2.223C4.978 6.711 6.427 7 8 7s3.022-.289 4.096-.777C13.125 5.755 14 5.007 14 4s-.875-1.755-1.904-2.223C11.022 1.289 9.573 1 8 1Z"/><path d="M2 7v-.839c.457.432 1.004.751 1.49.972C4.722 7.693 6.318 8 8 8s3.278-.307 4.51-.867c.486-.22 1.033-.54 1.49-.972V7c0 .424-.155.802-.411 1.133a4.51 4.51 0 0 0-4.815 1.843A12.31 12.31 0 0 1 8 10c-1.573 0-3.022-.289-4.096-.777C2.875 8.755 2 8.007 2 7Zm6.257 3.998L8 11c-1.682 0-3.278-.307-4.51-.867-.486-.22-1.033-.54-1.49-.972V10c0 1.007.875 1.755 1.904 2.223C4.978 12.711 6.427 13 8 13h.027a4.552 4.552 0 0 1 .23-2.002Zm-.002 3L8 14c-1.682 0-3.278-.307-4.51-.867-.486-.22-1.033-.54-1.49-.972V13c0 1.007.875 1.755 1.904 2.223C4.978 15.711 6.427 16 8 16c.536 0 1.058-.034 1.555-.097a4.507 4.507 0 0 1-1.3-1.905Z"/></svg>                    
                    <span style="margin-left: 6px; margin-top: 1px">Créer une relation de stock</span>
                </h3>
            </div>
            <div class="col-sm-6 col-lg-4">
                <select name="productId" style="height: 41px !important" class="form-control">
                    <option value="0" hidden selected>Livraison</option>
                    @foreach($products as $product)
                        <option value="{{ $product->id }}">{{ $product->label }}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-sm-6 col-lg-4">
                <select name="magasinId" style="height: 41px !important" class="form-control">
                    <option value="0" hidden selected>Magasins</option>
                    @foreach($stores as $store)
                        <option class="{{ $loop->index == 0 ? 'redColor' : ''}}" value="{{ $store->id }}">{{ $store->intitule }}</option>
                    @endforeach
                </select>
            </div>
            <div style="height: 41px !important" class="col-sm-6 col-lg-4">
                <div class="container-rl-btn">
                    <input style="height: 41px !important" class="form-control" style="max-width: 350px" type="password" name="authPassword" placeholder="Entrez votre mot de passe">
                    <button onclick="setStockRelation()" style="height: 36px !important" type="button" id="relationBtn" class="btn btn-primary">
                        Ajouter
                    </button>
                </div>
            </div>
        </form>  
    </div>

    <!--Active Stock Relations-->
    <div style="margin-left: 6px; margin-top: 5rem; max-width: 80rem" class="row">
        <div style="margin-bottom: 20px; padding-left: 15px" class="col-12">
            <h3 style="display: flex; gap: 5px;">
                <svg width="25" height="25" fill="currentColor" class="bi bi-link-45deg" viewBox="0 0 16 16"><path d="M4.715 6.542 3.343 7.914a3 3 0 1 0 4.243 4.243l1.828-1.829A3 3 0 0 0 8.586 5.5L8 6.086a1.002 1.002 0 0 0-.154.199 2 2 0 0 1 .861 3.337L6.88 11.45a2 2 0 1 1-2.83-2.83l.793-.792a4.018 4.018 0 0 1-.128-1.287z"/><path d="M6.586 4.672A3 3 0 0 0 7.414 9.5l.775-.776a2 2 0 0 1-.896-3.346L9.12 3.55a2 2 0 1 1 2.83 2.83l-.793.792c.112.42.155.855.128 1.287l1.372-1.372a3 3 0 1 0-4.243-4.243L6.586 4.672z"/></svg>                
                <span style="margin-left: 6px; margin-top: 1px">Active Relations</span>
            </h3>
        </div>
        <div style="padding-left: 14px" class="col-12">
            <table class="table">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Livraison</th>
                    <th scope="col">Magasins</th>
                    <th scope="col">Creation</th>
                    <th scope="col">Action</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach($stockRelations as $relation)
                        <?php $index = $loop->index ?>
                        <tr>
                            <th scope="row">{{ $index++ }}</th>
                            <td>{{ $relation->productLabel }}</td>
                            <td class="{{ $loop->index == 0 ? 'redColor' : ''}}">{{ $relation->magasinLabel }}</td>
                            <td>{{ $relation->date }}</td>
                            <td>                        
                                <form id="deleteForm-{{ $index }}" class="deleteForm" method="POST" action="{{route("delete_stock_relation_route")}}">
                                    @csrf
                                    <input class="form-control" style="max-width: 350px" type="password" name="authPassword" placeholder="Entrez votre mot de passe">
                                    <input style="display: none" name="productId" value="{{ $relation->product_id }}">
                                    <span style="display: flex !important; height: 31px !important" id="deleteBtn-{{ $index }}" class="btn btn-danger" onclick="deleteStockRelation({{ $index}})">
                                        <svg width="18" height="18" fill="currentColor" class="bi bi-trash-fill" viewBox="0 0 16 16"><path d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 1 0z"/></svg>                                    
                                    </span>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
              </table>
        </div>
    </div>

@stop

@section('content')
    {{-- Page Content Here --}}
@stop

@section('javascript')

    <script src="https://cdn.jsdelivr.net/npm/file-saver@2.0.2/dist/FileSaver.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/xlsx/0.15.1/xlsx.core.min.js"></script>
    <script src="https://unpkg.com/tableexport/dist/js/tableexport.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.8.0/Chart.min.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    
    <script>

        function loadForm(btnId, formId){
            $("#voyager-loader").fadeIn();
            $(btnId).attr('disabled', true);
            $(formId).submit();
        }

        function setMagasinStock(storeId, type) {
            let btnId = `#stockBtn-${storeId}-${type}`
            let formId = `#stockFrom-${storeId}-${type}`
            loadForm(btnId, formId)
        }

        function setStockRelation() {
            let btnId = `#relationBtn`
            let formId = `#relationFrom`
            loadForm(btnId, formId)

        }

        function deleteStockRelation(index) {
            let btnId = `#deleteBtn-${index}`
            let formId = `#deleteForm-${index}`
            loadForm(btnId, formId)
        }

    </script>
    
@stop
