<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// if (\App::environment('production', 'staging')) {
//     \URL::forceScheme('https');
// }
Route::get('login', '\TCG\Voyager\Http\Controllers\VoyagerAuthController@login')->name('login');

Route::group(['prefix' => 'admin'], function () {
    Route::get('/sync-data', 'Api\ProductController@syncData');

    Route::group(['prefix' => 'select'], function () {
        Route::get("/price", "SelectController@getPriceList");
        Route::get("/product", "SelectController@getProductList");
        Route::get("/category", "SelectController@getCategoryList");
        Route::get("/client", "SelectController@getClientList");
        Route::get("/entreprise", "SelectController@getEntrepriseList");
    });

    Route::group(['prefix' => 'client'], function () {
        Route::post("/{clientId}/toggleEntreprise", "Voyager\ClientController@toggleEntrepriseClient");
    });

    Route::group(['prefix' => 'formule'], function () {
        Route::get("/", "Voyager\FormuleController@index")->name('voyager.formule.index');
        Route::get("/{id}/edit", "Voyager\FormuleController@edit")->name('voyager.formule.edit');
        Route::get("/create", "Voyager\FormuleController@create");
        Route::post("/", "Voyager\FormuleController@store");
    });

    Route::post("/entreprise/addClient/", "Voyager\ClientController@addClientToEntreprise")
        ->name('voyager.entreprise.client');

    Route::post("/price/entreprise/{entrepriseId}", "Voyager\PriceController@addEntreprisePrice")
        ->name('voyager.entreprise.price');

    Route::get("command/{commandId}/print", "Voyager\CommandController@printCommand");

    Route::get("command/validate/{commandId}", "Voyager\CommandController@validateCommand");

    Route::get("command/{commandId}/invited", "Voyager\CommandController@getInvitedCommands");

    Route::post("/change/command/{commandId}/state", "Voyager\CommandController@changeCommandState")
        ->name('voyager.command.changestate');

    Route::post("/command/{commandId}/deliveryman/{deliveryManId}", "Voyager\CommandController@changeCommandDeliveryMan")
        ->name('voyager.command.changedeliveryman');

    Route::get("/reporting/", "Voyager\ReportingController@index")
        ->name('voyager.reporting.index')->middleware(['permission:browse_reporting', 'auth']);;
    Route::post("/reporting/", "Voyager\ReportingController@index")
        ->name('voyager.reporting.getdata')->middleware(['permission:browse_reporting']);;

    Route::get("productdescription/{id}/available", "Voyager\ProductDescriptionController@hideShowProduct");

    Voyager::routes();

});


// Route::get("/", function () {
//     return view("welcome");
// });

// Route::any('{all}', function () {
//     return view('index');
// })->where(['all' => '.*']);